import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { A as AvatarGroup$1, a as Avatar$1 } from './Avatar-C2IfIAxL-BUio7c00.js';

const AvatarElement = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(Avatar$1, { ref, ...props });
  }
);
const AvatarGroup = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(AvatarGroup$1, { ref, ...props });
  }
);
const Avatar = Object.assign(AvatarElement, {
  Group: AvatarGroup
});

export { Avatar as A, AvatarGroup as a };
//# sourceMappingURL=Avatar-DYCN2A_l.js.map
