import { ButtonLinkProps as CoreButtonLinkProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type ButtonLinkProps = CoreButtonLinkProps & DataTrackingId;
export declare const ButtonLink: import('react').ForwardRefExoticComponent<import('@servicetitan/hammer-react').LayoutUtilProps & Omit<import('react').DetailedHTMLProps<import('react').AnchorHTMLAttributes<HTMLAnchorElement>, HTMLAnchorElement>, "ref"> & {
    disabled?: boolean;
    appearance?: import('@servicetitan/hammer-react').ButtonAppearance;
    size?: Extract<import('@servicetitan/hammer-react').Size, "small" | "medium" | "large">;
    icon?: import('@servicetitan/hammer-react').IconProps["svg"] | {
        after: import('@servicetitan/hammer-react').IconProps["svg"];
    } | {
        before: import('@servicetitan/hammer-react').IconProps["svg"];
    };
    loading?: boolean;
} & DataTrackingId & import('react').RefAttributes<HTMLAnchorElement>>;
