import { CalendarProps as CoreCalendarProps, CalendarContextProps as CoreCalendarContextProps, CalendarNowProps as CoreCalendarNowProps, CalendarMonthProps as CoreCalendarMonthProps, CalendarNextProps as CoreCalendarNextProps, CalendarPrevProps as CoreCalendarPrevProps, CalendarMonthButtonProps as CoreCalendarMonthButtonProps, CalendarYearButtonProps as CoreCalendarYearButtonProps } from '@servicetitan/hammer-react';
export type CalendarProps = CoreCalendarProps;
export type CalendarContextProps = CoreCalendarContextProps;
export type CalendarNowProps = CoreCalendarNowProps;
export type CalendarMonthProps = CoreCalendarMonthProps;
export type CalendarNextProps = CoreCalendarNextProps;
export type CalendarPrevProps = CoreCalendarPrevProps;
export type CalendarMonthButtonProps = CoreCalendarMonthButtonProps;
export type CalendarYearButtonProps = CoreCalendarYearButtonProps;
export declare const CalendarNow: import('react').ForwardRefExoticComponent<{
    onClick?: (e: import('react').MouseEvent<HTMLButtonElement>, date: string | null) => void;
} & Omit<import('@servicetitan/hammer-react').ButtonProps, "onClick"> & import('react').RefAttributes<HTMLButtonElement>>;
export declare const CalendarMonth: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').TableHTMLAttributes<HTMLTableElement>, HTMLTableElement>, "ref"> & import('react').RefAttributes<HTMLTableElement>>;
export declare const CalendarNext: import('react').ForwardRefExoticComponent<import('@servicetitan/hammer-react').ButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const CalendarPrev: import('react').ForwardRefExoticComponent<import('@servicetitan/hammer-react').ButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const CalendarMonthButton: import('react').ForwardRefExoticComponent<CoreCalendarMonthButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const CalendarYearButton: import('react').ForwardRefExoticComponent<CoreCalendarYearButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const Calendar: import('react').ForwardRefExoticComponent<CoreCalendarProps & import('react').RefAttributes<HTMLDivElement>> & {
    Now: import('react').ForwardRefExoticComponent<{
        onClick?: (e: import('react').MouseEvent<HTMLButtonElement>, date: string | null) => void;
    } & Omit<import('@servicetitan/hammer-react').ButtonProps, "onClick"> & import('react').RefAttributes<HTMLButtonElement>>;
    Month: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').TableHTMLAttributes<HTMLTableElement>, HTMLTableElement>, "ref"> & import('react').RefAttributes<HTMLTableElement>>;
    Next: import('react').ForwardRefExoticComponent<import('@servicetitan/hammer-react').ButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
    Prev: import('react').ForwardRefExoticComponent<import('@servicetitan/hammer-react').ButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
    MonthButton: import('react').ForwardRefExoticComponent<CoreCalendarMonthButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
    YearButton: import('react').ForwardRefExoticComponent<CoreCalendarYearButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
};
