import { CheckboxProps as CoreCheckboxProps, CheckboxGroupProps as CoreCheckboxGroupProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type CheckboxProps = Omit<CoreCheckboxProps, "hideCheckbox"> & DataTrackingId;
export type CheckboxGroupProps = CoreCheckboxGroupProps;
export declare const CheckboxGroup: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & Omit<import('@servicetitan/hammer-react').FieldLabelProps, "labelProps"> & {
    required?: boolean;
    legend: string | import('react').ReactElement;
} & import('react').RefAttributes<HTMLFieldSetElement>>;
export declare const Checkbox: import('react').ForwardRefExoticComponent<Omit<CoreCheckboxProps, "hideCheckbox"> & DataTrackingId & import('react').RefAttributes<HTMLInputElement>> & {
    Group: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & Omit<import('@servicetitan/hammer-react').FieldLabelProps, "labelProps"> & {
        required?: boolean;
        legend: string | import('react').ReactElement;
    } & import('react').RefAttributes<HTMLFieldSetElement>>;
};
