import { ComponentPropsWithoutRef } from 'react';
export type LayoutProps = ComponentPropsWithoutRef<"div"> & {
    fluid?: boolean;
    variant?: "default" | "wide" | "narrow";
};
export declare const LayoutElement: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    fluid?: boolean;
    variant?: "default" | "wide" | "narrow";
} & import('react').RefAttributes<HTMLDivElement>>;
export type LayoutItemProps = ComponentPropsWithoutRef<"div"> & {
    span?: number;
    xs?: number;
    sm?: number;
    md?: number;
    lg?: number;
    xl?: number;
    xxl?: number;
};
export declare const LayoutItem: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    span?: number;
    xs?: number;
    sm?: number;
    md?: number;
    lg?: number;
    xl?: number;
    xxl?: number;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const Layout: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    fluid?: boolean;
    variant?: "default" | "wide" | "narrow";
} & import('react').RefAttributes<HTMLDivElement>> & {
    Item: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
        span?: number;
        xs?: number;
        sm?: number;
        md?: number;
        lg?: number;
        xl?: number;
        xxl?: number;
    } & import('react').RefAttributes<HTMLDivElement>>;
};
