import { LinkProps as CoreLinkProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type LinkProps = Omit<CoreLinkProps, "href"> & DataTrackingId & ({
    pathname?: never;
    search?: never;
    href?: CoreLinkProps["href"];
} | {
    pathname: string;
    search?: string;
    href?: never;
} | {
    pathname?: never;
    search?: never;
    href?: never;
}) & ({
    /**
     * @default "primary"
     */
    appearance?: "primary";
    quiet?: boolean;
} | {
    appearance: "secondary";
    quiet?: false;
});
export declare const Link: import('react').ForwardRefExoticComponent<LinkProps & import('react').RefAttributes<HTMLAnchorElement>>;
