import { ListViewProps as CoreListViewProps, ListViewOptionProps as CoreListViewOptionProps } from '@servicetitan/hammer-react';
import { ForwardedRef } from 'react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type ListViewProps<T> = CoreListViewProps<T>;
export type ListViewOptionProps = CoreListViewOptionProps & DataTrackingId;
declare const ListViewElement: <T>(props: ListViewProps<T>, ref: ForwardedRef<HTMLUListElement>) => import("react/jsx-runtime").JSX.Element;
export declare const ListViewOption: import('react').ForwardRefExoticComponent<ListViewOptionProps & import('react').RefAttributes<HTMLDivElement>>;
export declare const ListViewOptionCell: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
export declare const ListView: (<T>(props: ListViewProps<T> & {
    ref?: React.ForwardedRef<HTMLUListElement>;
}) => ReturnType<typeof ListViewElement>) & {
    Option: import('react').ForwardRefExoticComponent<ListViewOptionProps & import('react').RefAttributes<HTMLDivElement>>;
    OptionCell: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
};
export {};
