import { ListboxProps as CoreListboxProps, ListboxOptionProps as CoreListboxOptionProps, ListboxOptionGroupProps as CoreListboxOptionGroupProps } from '@servicetitan/hammer-react';
import { ForwardedRef } from 'react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type ListboxProps<T> = CoreListboxProps<T>;
export type ListboxOptionProps = CoreListboxOptionProps & DataTrackingId;
export type ListboxOptionGroupProps = CoreListboxOptionGroupProps;
declare const ListboxElement: <T>(props: ListboxProps<T>, ref: ForwardedRef<HTMLUListElement>) => import("react/jsx-runtime").JSX.Element;
export declare const ListboxOption: import('react').ForwardRefExoticComponent<ListboxOptionProps & import('react').RefAttributes<HTMLLIElement>>;
export declare const ListboxOptionGroup: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    disabled?: boolean;
    label: string;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const Listbox: (<T>(props: ListboxProps<T> & {
    ref?: React.ForwardedRef<HTMLUListElement>;
}) => ReturnType<typeof ListboxElement>) & {
    Option: import('react').ForwardRefExoticComponent<ListboxOptionProps & import('react').RefAttributes<HTMLLIElement>>;
    OptionGroup: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
        disabled?: boolean;
        label: string;
    } & import('react').RefAttributes<HTMLDivElement>>;
};
export {};
