import { RadioProps as CoreRadioProps, RadioGroupProps as CoreRadioGroupProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type RadioProps = Omit<CoreRadioProps, "hideRadio"> & DataTrackingId;
export type RadioGroupProps = CoreRadioGroupProps;
export declare const RadioGroup: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & Omit<import('@servicetitan/hammer-react').FieldLabelProps, "labelProps"> & {
    required?: boolean;
    legend?: string | import('react').ReactElement;
} & import('react').RefAttributes<HTMLFieldSetElement>>;
export declare const Radio: import('react').ForwardRefExoticComponent<Omit<CoreRadioProps, "hideRadio"> & DataTrackingId & import('react').RefAttributes<HTMLInputElement>> & {
    Group: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').FieldsetHTMLAttributes<HTMLFieldSetElement>, HTMLFieldSetElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & Omit<import('@servicetitan/hammer-react').FieldLabelProps, "labelProps"> & {
        required?: boolean;
        legend?: string | import('react').ReactElement;
    } & import('react').RefAttributes<HTMLFieldSetElement>>;
};
