import { ToasterProps as HammerToasterProps, ToastEventType } from '@servicetitan/hammer-react';
export type ToasterProps = Omit<HammerToasterProps, "disableEvents" | "duration"> & {
    /**
     * Timeout, in ms, before toasts auto-closes. If set to false, toasts will not auto-close.
     * @deprecated The monolith toaster controls the duration of toasts. This prop should not be used in other cases.
     * @default false
     */
    duration?: number | false;
};
export declare const Toaster: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & Omit<import('@servicetitan/hammer-react/dist/components/Toast/ToastStack').ToastStackProps, "toasts"> & {
    disableEvents?: boolean;
    forceRender?: boolean;
    id: string;
    onToastEvent?: (toastEvent: ToastEventType) => void;
} & import('react').RefAttributes<HTMLDivElement>>;
