import { ReactNode, FC } from 'react';
export interface TrackingProviderContextProps {
    scope: string;
    getTrackingId: (data: string, component: string) => Promise<string>;
    optOut: boolean;
}
export interface TrackingProviderProps {
    children: ReactNode;
    scope: string;
    optOut?: boolean;
}
export declare const TrackingContext: import('react').Context<TrackingProviderContextProps>;
export declare const TrackingProvider: FC<TrackingProviderProps>;
