import { p as primitive } from './primitive-BoyEHaOo.js';

const BackgroundColor = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const BackgroundColorStrong = {
  value: "#f7f7f7",
  attributes: {
    appearance: {
      dark: {
        value: "#2d2e31"
      }
    }
  }
};
const BackgroundColorStronger = {
  value: "#eeeeee",
  attributes: {
    appearance: {
      dark: {
        value: "#444445"
      }
    }
  }
};
const BackgroundColorStrongest = {
  value: "#bcbcbd",
  attributes: {
    appearance: {
      dark: {
        value: "#737475"
      }
    }
  }
};
const BackgroundColorPrimary = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const BackgroundColorPrimarySubdued = {
  value: "#E0F2FF",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA33"
      }
    }
  }
};
const BackgroundColorSuccess = {
  value: "#007A4D",
  attributes: {
    appearance: {
      dark: {
        value: "#49CC93"
      }
    }
  }
};
const BackgroundColorSuccessSubdued = {
  value: "#CEF8E0",
  attributes: {
    appearance: {
      dark: {
        value: "#49CC9333"
      }
    }
  }
};
const BackgroundColorDanger = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const BackgroundColorDangerSubdued = {
  value: "#ffece9",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f33"
      }
    }
  }
};
const BackgroundColorWarning = {
  value: "#ffbe00",
  attributes: {
    appearance: {
      dark: {
        value: "#ffe278"
      }
    }
  }
};
const BackgroundColorDisabled = {
  value: "#606162",
  attributes: {
    appearance: {
      dark: {
        value: "#606162"
      }
    }
  }
};
const BackgroundColorInverted = {
  value: "#2d2e31",
  attributes: {
    appearance: {
      dark: {
        value: "#fafafa"
      }
    }
  }
};
const BackgroundColorInvertedStrong = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const BorderRadiusNone = { value: "0" };
const BorderRadiusSmall = { value: "0.1875rem" };
const BorderRadiusMedium = { value: "0.375rem" };
const BorderRadiusLarge = { value: "0.75rem" };
const BorderRadiusXlarge = { value: "1.5rem" };
const BorderRadiusCircular = { value: "100%" };
const BorderWidthNone = { value: "0rem" };
const BorderWidth = { value: "0.0625rem" };
const BorderWidthStrong = { value: "0.125rem" };
const BorderColor = {
  value: "#949596",
  attributes: {
    appearance: {
      dark: {
        value: "#606162"
      }
    }
  }
};
const BorderColorSubdued = {
  value: "#dfe0e1",
  attributes: {
    appearance: {
      dark: {
        value: "#444445"
      }
    }
  }
};
const BorderColorStrong = {
  value: "#444445",
  attributes: {
    appearance: {
      dark: {
        value: "#dfe0e1"
      }
    }
  }
};
const BorderColorPrimary = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const BorderColorSuccess = {
  value: "#007A4D",
  attributes: {
    appearance: {
      dark: {
        value: "#49CC93"
      }
    }
  }
};
const BorderColorDanger = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const FocusRingColor = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const FocusRingColorDanger = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const FocusRingWidth = { value: "0.25rem" };
const ForegroundColor = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ForegroundColorSubdued = {
  value: "#737475",
  attributes: {
    appearance: {
      dark: {
        value: "#bcbcbd"
      }
    }
  }
};
const ForegroundColorPrimary = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const ForegroundColorDanger = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ForegroundColorInverted = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ForegroundColorOnPrimary = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ForegroundColorOnDanger = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ForegroundColorOnDangerSubdued = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ForegroundColorOnWarning = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ForegroundColorActivePrimary = {
  value: "#004491",
  attributes: {
    appearance: {
      dark: {
        value: "#B5DEFF"
      }
    }
  }
};
const ForegroundColorActiveDanger = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ForegroundColorHoverPrimary = {
  value: "#004491",
  attributes: {
    appearance: {
      dark: {
        value: "#B5DEFF"
      }
    }
  }
};
const ForegroundColorHoverDanger = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const OverlayColorActive = {
  value: "#14141429",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff29"
      }
    }
  }
};
const OverlayColorActivePrimary = {
  value: "#0265DC4D",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA40"
      }
    }
  }
};
const OverlayColorActiveDanger = {
  value: "#e132124D",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d3240"
      }
    }
  }
};
const OverlayColorActiveOn = {
  value: "#14141429",
  attributes: {
    appearance: {
      dark: {
        value: "#14141429"
      }
    }
  }
};
const OverlayColorActiveOnPrimary = {
  value: "#14141466",
  attributes: {
    appearance: {
      dark: {
        value: "#14141429"
      }
    }
  }
};
const OverlayColorActiveOnDanger = {
  value: "#14141466",
  attributes: {
    appearance: {
      dark: {
        value: "#14141429"
      }
    }
  }
};
const OverlayColorHover = {
  value: "#14141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff14"
      }
    }
  }
};
const OverlayColorHoverPrimary = {
  value: "#0265DC1A",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA1A"
      }
    }
  }
};
const OverlayColorHoverDanger = {
  value: "#e132121A",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d3226"
      }
    }
  }
};
const OverlayColorHoverOn = {
  value: "#14141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff14"
      }
    }
  }
};
const OverlayColorHoverOnPrimary = {
  value: "#14141433",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff29"
      }
    }
  }
};
const OverlayColorHoverOnDanger = {
  value: "#14141433",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff29"
      }
    }
  }
};
const ShadowColor = {
  value: "#14141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff14"
      }
    }
  }
};
const ShadowSizeFlat = { value: "0rem 0rem 0rem" };
const ShadowSizeFloat = { value: "0rem 0.125rem 0.5rem" };
const ShadowSizeOverlay = { value: "0rem 0.5rem 1.5rem" };
const StatusColorInfo = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const StatusColorDanger = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const StatusColorSuccess = {
  value: "#007A4D",
  attributes: {
    appearance: {
      dark: {
        value: "#49CC93"
      }
    }
  }
};
const StatusColorWarning = {
  value: "#ffbe00",
  attributes: {
    appearance: {
      dark: {
        value: "#ffe278"
      }
    }
  }
};
const TypographyParagraphSizeXsmall = { value: "0.75rem" };
const TypographyParagraphSizeSmall = { value: "0.875rem" };
const TypographyParagraphSize = { value: "1rem" };
const TypographyParagraphSizeLarge = { value: "1.25rem" };
const TypographyParagraphSizeXlarge = { value: "1.5rem" };
const TypographyParagraphFontWeight = { value: "400" };
const TypographyParagraphFontFamily = { value: "'Nunito Sans', sans-serif" };
const TypographyHeadingSizeXsmall = { value: "0.875rem" };
const TypographyHeadingSizeSmall = { value: "1rem" };
const TypographyHeadingSize = { value: "1.25rem" };
const TypographyHeadingSizeLarge = { value: "1.5rem" };
const TypographyHeadingSizeXlarge = { value: "2rem" };
const TypographyHeadingFontWeight = { value: "700" };
const TypographyHeadingFontFamily = { value: "'Sofia Pro', SofiaPro, sans-serif" };
const TypographyLabelSizeXsmall = { value: "0.625rem" };
const TypographyLabelSizeSmall = { value: "0.75rem" };
const TypographyLabelSize = { value: "0.875rem" };
const TypographyLabelSizeLarge = { value: "1rem" };
const TypographyLabelSizeXlarge = { value: "1.25rem" };
const TypographyLabelFontWeight = { value: "600" };
const TypographyLabelFontFamily = { value: "'Nunito Sans', sans-serif" };

const semantic = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null,
  BackgroundColor,
  BackgroundColorDanger,
  BackgroundColorDangerSubdued,
  BackgroundColorDisabled,
  BackgroundColorInverted,
  BackgroundColorInvertedStrong,
  BackgroundColorPrimary,
  BackgroundColorPrimarySubdued,
  BackgroundColorStrong,
  BackgroundColorStronger,
  BackgroundColorStrongest,
  BackgroundColorSuccess,
  BackgroundColorSuccessSubdued,
  BackgroundColorWarning,
  BorderColor,
  BorderColorDanger,
  BorderColorPrimary,
  BorderColorStrong,
  BorderColorSubdued,
  BorderColorSuccess,
  BorderRadiusCircular,
  BorderRadiusLarge,
  BorderRadiusMedium,
  BorderRadiusNone,
  BorderRadiusSmall,
  BorderRadiusXlarge,
  BorderWidth,
  BorderWidthNone,
  BorderWidthStrong,
  FocusRingColor,
  FocusRingColorDanger,
  FocusRingWidth,
  ForegroundColor,
  ForegroundColorActiveDanger,
  ForegroundColorActivePrimary,
  ForegroundColorDanger,
  ForegroundColorHoverDanger,
  ForegroundColorHoverPrimary,
  ForegroundColorInverted,
  ForegroundColorOnDanger,
  ForegroundColorOnDangerSubdued,
  ForegroundColorOnPrimary,
  ForegroundColorOnWarning,
  ForegroundColorPrimary,
  ForegroundColorSubdued,
  OverlayColorActive,
  OverlayColorActiveDanger,
  OverlayColorActiveOn,
  OverlayColorActiveOnDanger,
  OverlayColorActiveOnPrimary,
  OverlayColorActivePrimary,
  OverlayColorHover,
  OverlayColorHoverDanger,
  OverlayColorHoverOn,
  OverlayColorHoverOnDanger,
  OverlayColorHoverOnPrimary,
  OverlayColorHoverPrimary,
  ShadowColor,
  ShadowSizeFlat,
  ShadowSizeFloat,
  ShadowSizeOverlay,
  StatusColorDanger,
  StatusColorInfo,
  StatusColorSuccess,
  StatusColorWarning,
  TypographyHeadingFontFamily,
  TypographyHeadingFontWeight,
  TypographyHeadingSize,
  TypographyHeadingSizeLarge,
  TypographyHeadingSizeSmall,
  TypographyHeadingSizeXlarge,
  TypographyHeadingSizeXsmall,
  TypographyLabelFontFamily,
  TypographyLabelFontWeight,
  TypographyLabelSize,
  TypographyLabelSizeLarge,
  TypographyLabelSizeSmall,
  TypographyLabelSizeXlarge,
  TypographyLabelSizeXsmall,
  TypographyParagraphFontFamily,
  TypographyParagraphFontWeight,
  TypographyParagraphSize,
  TypographyParagraphSizeLarge,
  TypographyParagraphSizeSmall,
  TypographyParagraphSizeXlarge,
  TypographyParagraphSizeXsmall
}, Symbol.toStringTag, { value: 'Module' }));

const ButtonPrimaryForegroundColor = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonPrimaryForegroundColorHover = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonPrimaryForegroundColorActive = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonPrimaryBackgroundColor = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const ButtonPrimaryBackgroundColorHover = {
  value: "#0655b4ff",
  attributes: {
    appearance: {
      dark: {
        value: "#8ec6fbff"
      }
    }
  }
};
const ButtonPrimaryBackgroundColorActive = {
  value: "#09458cff",
  attributes: {
    appearance: {
      dark: {
        value: "#68a0d5ff"
      }
    }
  }
};
const ButtonPrimaryBorderColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonPrimaryBorderRadius = { value: "0.375rem" };
const ButtonPrimaryFocusRingColor = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const ButtonSecondaryForegroundColor = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonSecondaryForegroundColorHover = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonSecondaryForegroundColorActive = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonSecondaryBackgroundColor = {
  value: "#0404040f",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff0f"
      }
    }
  }
};
const ButtonSecondaryBackgroundColorHover = {
  value: "#05050522",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff22"
      }
    }
  }
};
const ButtonSecondaryBackgroundColorActive = {
  value: "#07070735",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff35"
      }
    }
  }
};
const ButtonSecondaryBorderColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonSecondaryBorderRadius = { value: "0.375rem" };
const ButtonSecondaryFocusRingColor = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const ButtonGhostForegroundColor = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonGhostForegroundColorHover = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonGhostForegroundColorActive = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonGhostBackgroundColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonGhostBackgroundColorHover = {
  value: "#14141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff14"
      }
    }
  }
};
const ButtonGhostBackgroundColorActive = {
  value: "#14141429",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff29"
      }
    }
  }
};
const ButtonGhostBorderColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonGhostBorderRadius = { value: "0.375rem" };
const ButtonGhostFocusRingColor = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const ButtonDangerPrimaryForegroundColor = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonDangerPrimaryForegroundColorHover = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonDangerPrimaryForegroundColorActive = {
  value: "#ffffff",
  attributes: {
    appearance: {
      dark: {
        value: "#141414"
      }
    }
  }
};
const ButtonDangerPrimaryBackgroundColor = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ButtonDangerPrimaryBackgroundColorHover = {
  value: "#b82c12ff",
  attributes: {
    appearance: {
      dark: {
        value: "#ff8a79ff"
      }
    }
  }
};
const ButtonDangerPrimaryBackgroundColorActive = {
  value: "#8f2613ff",
  attributes: {
    appearance: {
      dark: {
        value: "#d96553ff"
      }
    }
  }
};
const ButtonDangerPrimaryBorderColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonDangerPrimaryBorderRadius = { value: "0.375rem" };
const ButtonDangerPrimaryFocusRingColor = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ButtonDangerSecondaryForegroundColor = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const ButtonDangerSecondaryForegroundColorHover = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ButtonDangerSecondaryForegroundColorActive = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const ButtonDangerSecondaryBackgroundColor = {
  value: "#ffece9",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f33"
      }
    }
  }
};
const ButtonDangerSecondaryBackgroundColorHover = {
  value: "#fcd9d4ff",
  attributes: {
    appearance: {
      dark: {
        value: "#fe6e5852"
      }
    }
  }
};
const ButtonDangerSecondaryBackgroundColorActive = {
  value: "#f6b4a9ff",
  attributes: {
    appearance: {
      dark: {
        value: "#fe6a5466"
      }
    }
  }
};
const ButtonDangerSecondaryBorderColor = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const ButtonDangerSecondaryBorderRadius = { value: "0.375rem" };
const ButtonDangerSecondaryFocusRingColor = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxUncheckedFillColorDefault = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const CheckboxUncheckedFillColorHover = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const CheckboxUncheckedFillColorActive = {
  value: "#141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff"
      }
    }
  }
};
const CheckboxUncheckedBackgroundColorDefault = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const CheckboxUncheckedBackgroundColorHover = {
  value: "#14141414",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff14"
      }
    }
  }
};
const CheckboxUncheckedBackgroundColorActive = {
  value: "#14141429",
  attributes: {
    appearance: {
      dark: {
        value: "#ffffff29"
      }
    }
  }
};
const CheckboxCheckedFillColorDefault = {
  value: "#0265DC",
  attributes: {
    appearance: {
      dark: {
        value: "#78BBFA"
      }
    }
  }
};
const CheckboxCheckedFillColorHover = {
  value: "#004ba0d1",
  attributes: {
    appearance: {
      dark: {
        value: "#abd8feda"
      }
    }
  }
};
const CheckboxCheckedFillColorActive = {
  value: "#0151afb8",
  attributes: {
    appearance: {
      dark: {
        value: "#abd8fee0"
      }
    }
  }
};
const CheckboxCheckedBackgroundColorDefault = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const CheckboxCheckedBackgroundColorHover = {
  value: "#0265dc14",
  attributes: {
    appearance: {
      dark: {
        value: "#78bbfa14"
      }
    }
  }
};
const CheckboxCheckedBackgroundColorActive = {
  value: "#0265dc29",
  attributes: {
    appearance: {
      dark: {
        value: "#78bbfa29"
      }
    }
  }
};
const CheckboxUncheckedErrorFillColorDefault = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxUncheckedErrorFillColorHover = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxUncheckedErrorFillColorActive = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxUncheckedErrorBackgroundColorDefault = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const CheckboxUncheckedErrorBackgroundColorHover = {
  value: "#e132120f",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d321a"
      }
    }
  }
};
const CheckboxUncheckedErrorBackgroundColorActive = {
  value: "#e132122e",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d3240"
      }
    }
  }
};
const CheckboxCheckedErrorFillColorDefault = {
  value: "#e13212",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxCheckedErrorFillColorHover = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxCheckedErrorFillColorActive = {
  value: "#bf2a00",
  attributes: {
    appearance: {
      dark: {
        value: "#ff745f"
      }
    }
  }
};
const CheckboxCheckedErrorBackgroundColorDefault = {
  value: "transparent",
  attributes: {
    appearance: {
      dark: {
        value: "transparent"
      }
    }
  }
};
const CheckboxCheckedErrorBackgroundColorHover = {
  value: "#e132120f",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d321a"
      }
    }
  }
};
const CheckboxCheckedErrorBackgroundColorActive = {
  value: "#e132122e",
  attributes: {
    appearance: {
      dark: {
        value: "#f94d3240"
      }
    }
  }
};

const component = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null,
  ButtonDangerPrimaryBackgroundColor,
  ButtonDangerPrimaryBackgroundColorActive,
  ButtonDangerPrimaryBackgroundColorHover,
  ButtonDangerPrimaryBorderColor,
  ButtonDangerPrimaryBorderRadius,
  ButtonDangerPrimaryFocusRingColor,
  ButtonDangerPrimaryForegroundColor,
  ButtonDangerPrimaryForegroundColorActive,
  ButtonDangerPrimaryForegroundColorHover,
  ButtonDangerSecondaryBackgroundColor,
  ButtonDangerSecondaryBackgroundColorActive,
  ButtonDangerSecondaryBackgroundColorHover,
  ButtonDangerSecondaryBorderColor,
  ButtonDangerSecondaryBorderRadius,
  ButtonDangerSecondaryFocusRingColor,
  ButtonDangerSecondaryForegroundColor,
  ButtonDangerSecondaryForegroundColorActive,
  ButtonDangerSecondaryForegroundColorHover,
  ButtonGhostBackgroundColor,
  ButtonGhostBackgroundColorActive,
  ButtonGhostBackgroundColorHover,
  ButtonGhostBorderColor,
  ButtonGhostBorderRadius,
  ButtonGhostFocusRingColor,
  ButtonGhostForegroundColor,
  ButtonGhostForegroundColorActive,
  ButtonGhostForegroundColorHover,
  ButtonPrimaryBackgroundColor,
  ButtonPrimaryBackgroundColorActive,
  ButtonPrimaryBackgroundColorHover,
  ButtonPrimaryBorderColor,
  ButtonPrimaryBorderRadius,
  ButtonPrimaryFocusRingColor,
  ButtonPrimaryForegroundColor,
  ButtonPrimaryForegroundColorActive,
  ButtonPrimaryForegroundColorHover,
  ButtonSecondaryBackgroundColor,
  ButtonSecondaryBackgroundColorActive,
  ButtonSecondaryBackgroundColorHover,
  ButtonSecondaryBorderColor,
  ButtonSecondaryBorderRadius,
  ButtonSecondaryFocusRingColor,
  ButtonSecondaryForegroundColor,
  ButtonSecondaryForegroundColorActive,
  ButtonSecondaryForegroundColorHover,
  CheckboxCheckedBackgroundColorActive,
  CheckboxCheckedBackgroundColorDefault,
  CheckboxCheckedBackgroundColorHover,
  CheckboxCheckedErrorBackgroundColorActive,
  CheckboxCheckedErrorBackgroundColorDefault,
  CheckboxCheckedErrorBackgroundColorHover,
  CheckboxCheckedErrorFillColorActive,
  CheckboxCheckedErrorFillColorDefault,
  CheckboxCheckedErrorFillColorHover,
  CheckboxCheckedFillColorActive,
  CheckboxCheckedFillColorDefault,
  CheckboxCheckedFillColorHover,
  CheckboxUncheckedBackgroundColorActive,
  CheckboxUncheckedBackgroundColorDefault,
  CheckboxUncheckedBackgroundColorHover,
  CheckboxUncheckedErrorBackgroundColorActive,
  CheckboxUncheckedErrorBackgroundColorDefault,
  CheckboxUncheckedErrorBackgroundColorHover,
  CheckboxUncheckedErrorFillColorActive,
  CheckboxUncheckedErrorFillColorDefault,
  CheckboxUncheckedErrorFillColorHover,
  CheckboxUncheckedFillColorActive,
  CheckboxUncheckedFillColorDefault,
  CheckboxUncheckedFillColorHover
}, Symbol.toStringTag, { value: 'Module' }));

const name = 'core';

const index = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null,
  component,
  name,
  primitive,
  semantic
}, Symbol.toStringTag, { value: 'Module' }));

const types = /*#__PURE__*/Object.freeze(/*#__PURE__*/Object.defineProperty({
  __proto__: null
}, Symbol.toStringTag, { value: 'Module' }));

export { types as Token, index as core };
//# sourceMappingURL=token.js.map
