# @servicetitan/anvil2

## 1.37.2

### Patch Changes

- [#1317](https://github.com/servicetitan/hammer/pull/1317) [`c3c8561`](https://github.com/servicetitan/hammer/commit/c3c8561f8c00b5caaff5f613acd2c6c58b238685) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tooltip] Fix Tooltip.Content `id` being overwritten

- [#1310](https://github.com/servicetitan/hammer/pull/1310) [`9ce3f62`](https://github.com/servicetitan/hammer/commit/9ce3f62f0561d2a186ce8e83ac3b78001f4bfc3e) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Toast] Fix clicking on items overlapped by transparent toast stack element

- [#1311](https://github.com/servicetitan/hammer/pull/1311) [`01db305`](https://github.com/servicetitan/hammer/commit/01db3058acd835419b0497ab455338de58cd72f9) Thanks [@ericag1985](https://github.com/ericag1985)! - [Page] Fix order of page elements on mobile

- [#1321](https://github.com/servicetitan/hammer/pull/1321) [`8734469`](https://github.com/servicetitan/hammer/commit/8734469bb8a140a37bf96d8f6df75cf94d97ba6a) Thanks [@ericag1985](https://github.com/ericag1985)! - [Tooltip] Add themeprovider around complex content

- Updated dependencies [[`c3c8561`](https://github.com/servicetitan/hammer/commit/c3c8561f8c00b5caaff5f613acd2c6c58b238685), [`9ce3f62`](https://github.com/servicetitan/hammer/commit/9ce3f62f0561d2a186ce8e83ac3b78001f4bfc3e), [`8734469`](https://github.com/servicetitan/hammer/commit/8734469bb8a140a37bf96d8f6df75cf94d97ba6a)]:
  - @servicetitan/hammer-react@1.37.2

## 1.37.1

### Patch Changes

- [#1314](https://github.com/servicetitan/hammer/pull/1314) [`1527357`](https://github.com/servicetitan/hammer/commit/15273575109f32e5d175b88b022d34c0238a6d50) Thanks [@ericag1985](https://github.com/ericag1985)! - Reverting bringing revert-layer into anvil2

## 1.37.0

### Minor Changes

- [#1301](https://github.com/servicetitan/hammer/pull/1301) [`5c52b85`](https://github.com/servicetitan/hammer/commit/5c52b85103b69e4e3ed732442f219a3edac7a613) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Icon] Added icons: column_editor, due_date, production_manager, recurring_service, sales_manager, start_date, subtasks

### Patch Changes

- [#1198](https://github.com/servicetitan/hammer/pull/1198) [`2994641`](https://github.com/servicetitan/hammer/commit/29946416693d2aa6710cc3943a379c0f97ae971e) Thanks [@rgdelato](https://github.com/rgdelato)! - [FieldMessage] Add `FieldMessage` component

- [#1299](https://github.com/servicetitan/hammer/pull/1299) [`6c5b393`](https://github.com/servicetitan/hammer/commit/6c5b393e106c17e1be6290ed716c6dc860d8ec56) Thanks [@ericag1985](https://github.com/ericag1985)! - [Page] Fix header spacing when there are no actions

- [#1302](https://github.com/servicetitan/hammer/pull/1302) [`d014286`](https://github.com/servicetitan/hammer/commit/d014286ccfc72791e5bb55e0b562c736765ce26f) Thanks [@ericag1985](https://github.com/ericag1985)! - [Drawer] Fix not being able to add custom classes to drawer components

- Updated dependencies [[`5c52b85`](https://github.com/servicetitan/hammer/commit/5c52b85103b69e4e3ed732442f219a3edac7a613), [`2994641`](https://github.com/servicetitan/hammer/commit/29946416693d2aa6710cc3943a379c0f97ae971e), [`d014286`](https://github.com/servicetitan/hammer/commit/d014286ccfc72791e5bb55e0b562c736765ce26f)]:
  - @servicetitan/hammer-icon@1.2.0
  - @servicetitan/hammer-react@1.37.1

## 1.36.0

### Minor Changes

- [#1277](https://github.com/servicetitan/hammer/pull/1277) [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Drawer, Dialog] Add props to leverage animation state (onOpenAnimationStart, onOpenAnimationComplete, onCloseAnimationStart, onCloseAnimationComplete)

### Patch Changes

- [#1297](https://github.com/servicetitan/hammer/pull/1297) [`dca9813`](https://github.com/servicetitan/hammer/commit/dca981344ca5291b48cba3999c3fc3053a451eb4) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog, Drawer] Fix cleanup of body scroll disable

- [#1277](https://github.com/servicetitan/hammer/pull/1277) [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Drawer] Deprecate onOpen prop

- [#1277](https://github.com/servicetitan/hammer/pull/1277) [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog, Drawer] Delay onClose until after close animation completes

- [#1277](https://github.com/servicetitan/hammer/pull/1277) [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog] Deprecate onOpenChange prop

- [#1294](https://github.com/servicetitan/hammer/pull/1294) [`965baaf`](https://github.com/servicetitan/hammer/commit/965baafe7a8e34bbcc8404da5337ab53648f91af) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Update `Combobox` selected item gap

- Updated dependencies [[`dca9813`](https://github.com/servicetitan/hammer/commit/dca981344ca5291b48cba3999c3fc3053a451eb4), [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6), [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6), [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6), [`099a80c`](https://github.com/servicetitan/hammer/commit/099a80c2030b821a0e4b53a411d38f4be8769ca6), [`965baaf`](https://github.com/servicetitan/hammer/commit/965baafe7a8e34bbcc8404da5337ab53648f91af)]:
  - @servicetitan/hammer-react@1.37.0

## 1.35.1

### Patch Changes

- [#1280](https://github.com/servicetitan/hammer/pull/1280) [`0c48362`](https://github.com/servicetitan/hammer/commit/0c48362a7020ecca1a81fd129d18cf0f13ceb5cf) Thanks [@tounsoo](https://github.com/tounsoo)! - [Menu, Popover, Tooltip, Toaster] Add stronger safe guard for Popover API usages

- [#1287](https://github.com/servicetitan/hammer/pull/1287) [`0e51e8b`](https://github.com/servicetitan/hammer/commit/0e51e8b938dbe8a53526acfb780ef4b22bebd69a) Thanks [@ericag1985](https://github.com/ericag1985)! - [Page] Fix page header not showing only a primary action

- Updated dependencies [[`0c48362`](https://github.com/servicetitan/hammer/commit/0c48362a7020ecca1a81fd129d18cf0f13ceb5cf)]:
  - @servicetitan/hammer-react@1.36.1

## 1.35.0

### Minor Changes

- [#1241](https://github.com/servicetitan/hammer/pull/1241) [`6bc71b2`](https://github.com/servicetitan/hammer/commit/6bc71b27a329f89c905dbc8f08871262a1d0c1b8) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Add `prefix` and `selectedItemProps` props to `Combobox`.

### Patch Changes

- [#1272](https://github.com/servicetitan/hammer/pull/1272) [`2e6ba3f`](https://github.com/servicetitan/hammer/commit/2e6ba3fce24f3ba179da6a6b1ae6e8f89da9f5b2) Thanks [@rgdelato](https://github.com/rgdelato)! - [Chip] Remove `Chip` `aria-label` when `Chip` is not interactive

- [#1269](https://github.com/servicetitan/hammer/pull/1269) [`fe42e32`](https://github.com/servicetitan/hammer/commit/fe42e322ffe1781bbd6b1fb35c2bdd06e30ff036) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tooltip] Tooltip to have proper role depending on content type for accessibility

- [#1260](https://github.com/servicetitan/hammer/pull/1260) [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tooltip] Fix Tooltip getting stuck when moving rapidly between them

- [#1273](https://github.com/servicetitan/hammer/pull/1273) [`7edde5c`](https://github.com/servicetitan/hammer/commit/7edde5c13eac5ef32a7ef1fd4d3e0d496fd99db9) Thanks [@tounsoo](https://github.com/tounsoo)! - [ButtonToggle] Fix border color to match the design – using `border-color-default` token

- [#1268](https://github.com/servicetitan/hammer/pull/1268) [`d5c4afd`](https://github.com/servicetitan/hammer/commit/d5c4afdfdd26c1d64980ca81011f5ff2f05f4209) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog] Revert overflow clipping to allow A1 Select, etc. to overflow

- [#1270](https://github.com/servicetitan/hammer/pull/1270) [`539d261`](https://github.com/servicetitan/hammer/commit/539d26142989b17206a102eb2af827940954e244) Thanks [@tounsoo](https://github.com/tounsoo)! - [Overflow] Fix truncated Overflow not showing "Show less" after expanding

- [#1260](https://github.com/servicetitan/hammer/pull/1260) [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tooltip] Allow Dialog to close when Tooltip is open

- [#1260](https://github.com/servicetitan/hammer/pull/1260) [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover] [Tooltip] Fix Popover that opens on hover getting stuck when moving rapidly between them

- [#1248](https://github.com/servicetitan/hammer/pull/1248) [`f23ab10`](https://github.com/servicetitan/hammer/commit/f23ab10f2d951545af1be9a2a969ffde65c65542) Thanks [@ericag1985](https://github.com/ericag1985)! - [TextField] Fix initial value not being tallied in character count

- Updated dependencies [[`2e6ba3f`](https://github.com/servicetitan/hammer/commit/2e6ba3fce24f3ba179da6a6b1ae6e8f89da9f5b2), [`fe42e32`](https://github.com/servicetitan/hammer/commit/fe42e322ffe1781bbd6b1fb35c2bdd06e30ff036), [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf), [`6bc71b2`](https://github.com/servicetitan/hammer/commit/6bc71b27a329f89c905dbc8f08871262a1d0c1b8), [`7edde5c`](https://github.com/servicetitan/hammer/commit/7edde5c13eac5ef32a7ef1fd4d3e0d496fd99db9), [`d5c4afd`](https://github.com/servicetitan/hammer/commit/d5c4afdfdd26c1d64980ca81011f5ff2f05f4209), [`539d261`](https://github.com/servicetitan/hammer/commit/539d26142989b17206a102eb2af827940954e244), [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf), [`b15af34`](https://github.com/servicetitan/hammer/commit/b15af34334d3667aab8ed5036a31b7020e969cbf), [`f23ab10`](https://github.com/servicetitan/hammer/commit/f23ab10f2d951545af1be9a2a969ffde65c65542)]:
  - @servicetitan/hammer-react@1.36.0

## 1.34.1

### Patch Changes

- [#1262](https://github.com/servicetitan/hammer/pull/1262) [`1c87a6c`](https://github.com/servicetitan/hammer/commit/1c87a6c23661f567522d7558ed07e704fa06e4ea) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Increasing `setTimeout` on `Combobox.ItemAddNew` to fire after `Popover` closes

- [#1079](https://github.com/servicetitan/hammer/pull/1079) [`acae1dc`](https://github.com/servicetitan/hammer/commit/acae1dc6d9de5ef7e237a44d023ae45f16ffb469) Thanks [@tounsoo](https://github.com/tounsoo)! - [Link] Add a way to handle route handling similar to `SideNavLink`

- Updated dependencies [[`1c87a6c`](https://github.com/servicetitan/hammer/commit/1c87a6c23661f567522d7558ed07e704fa06e4ea)]:
  - @servicetitan/hammer-react@1.35.1

## 1.34.0

### Minor Changes

- [#1243](https://github.com/servicetitan/hammer/pull/1243) [`3dc3fe0`](https://github.com/servicetitan/hammer/commit/3dc3fe0c86416f739b421114a5509a0d7616d456) Thanks [@rgdelato](https://github.com/rgdelato)! - [Grid] Add `inline` prop to `Grid` component

- [#1242](https://github.com/servicetitan/hammer/pull/1242) [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Calendar, DateField] Add month and year selection

- [#1242](https://github.com/servicetitan/hammer/pull/1242) [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [SelectCard] Add controlled state with `checked` prop

- [#1232](https://github.com/servicetitan/hammer/pull/1232) [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dnd] Add Dnd primitive components

### Patch Changes

- [#1244](https://github.com/servicetitan/hammer/pull/1244) [`1fa8614`](https://github.com/servicetitan/hammer/commit/1fa861447d3b66eaff08554300b53d493e513a6a) Thanks [@rgdelato](https://github.com/rgdelato)! - [Toast] Update `Toast` `message` prop to be optional

- [#1252](https://github.com/servicetitan/hammer/pull/1252) [`71fd6fc`](https://github.com/servicetitan/hammer/commit/71fd6fc9a0ba9e1eebb81e65784e27a87fd1be4b) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Toast] Fix blocking clicks under toasts

- [#1242](https://github.com/servicetitan/hammer/pull/1242) [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Calendar] Fix no-op `defaultFocusedDate` prop

- [#1232](https://github.com/servicetitan/hammer/pull/1232) [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Fixed card props not being forward to the drag preview

- [#1242](https://github.com/servicetitan/hammer/pull/1242) [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [DateField] Fix missing asterisk when `required` is `true`

- [#1247](https://github.com/servicetitan/hammer/pull/1247) [`dd61597`](https://github.com/servicetitan/hammer/commit/dd61597f3156f0a11c5c1de107acaa8359ddb0a5) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Update `Combobox` `multiple` input to allow key actions (such as Backspace) while the popover is open

- [#1232](https://github.com/servicetitan/hammer/pull/1232) [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Fix potential issue with various zone gap sizes

- [#1232](https://github.com/servicetitan/hammer/pull/1232) [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Fix card and handle border styling issues

- [#1246](https://github.com/servicetitan/hammer/pull/1246) [`5b78a36`](https://github.com/servicetitan/hammer/commit/5b78a362bf0e6e82978fd3a622b766fdbbe86af8) Thanks [@rgdelato](https://github.com/rgdelato)! - [Divider] Fix `Divider` `children` wrapping on multi-word content

- Updated dependencies [[`1fa8614`](https://github.com/servicetitan/hammer/commit/1fa861447d3b66eaff08554300b53d493e513a6a), [`3dc3fe0`](https://github.com/servicetitan/hammer/commit/3dc3fe0c86416f739b421114a5509a0d7616d456), [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0), [`71fd6fc`](https://github.com/servicetitan/hammer/commit/71fd6fc9a0ba9e1eebb81e65784e27a87fd1be4b), [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0), [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca), [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0), [`074d4b1`](https://github.com/servicetitan/hammer/commit/074d4b1069b6069acfdb656cb9b7aaf9984be8c0), [`dd61597`](https://github.com/servicetitan/hammer/commit/dd61597f3156f0a11c5c1de107acaa8359ddb0a5), [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca), [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca), [`5b78a36`](https://github.com/servicetitan/hammer/commit/5b78a362bf0e6e82978fd3a622b766fdbbe86af8), [`56854b3`](https://github.com/servicetitan/hammer/commit/56854b36b3edf32865ffd141ee0e66b56a3eb1ca)]:
  - @servicetitan/hammer-react@1.35.0

## 1.33.1

### Patch Changes

- [#1237](https://github.com/servicetitan/hammer/pull/1237) [`47dbf2a`](https://github.com/servicetitan/hammer/commit/47dbf2a3590be6e5e8bf4f7c4e0a929a2a74ebdd) Thanks [@rgdelato](https://github.com/rgdelato)! - [Flex] Revert omitting `flexShrink` prop type and deprecate instead

- Updated dependencies [[`47dbf2a`](https://github.com/servicetitan/hammer/commit/47dbf2a3590be6e5e8bf4f7c4e0a929a2a74ebdd)]:
  - @servicetitan/hammer-react@1.34.1

## 1.33.0

### Minor Changes

- [#1212](https://github.com/servicetitan/hammer/pull/1212) [`1b63032`](https://github.com/servicetitan/hammer/commit/1b6303229bafadaba49eca50259c782de2c5562e) Thanks [@rgdelato](https://github.com/rgdelato)! - [Flex] Add `inline` prop to `Flex` component

- [#1213](https://github.com/servicetitan/hammer/pull/1213) [`5aa9071`](https://github.com/servicetitan/hammer/commit/5aa9071087467182e4cc28612880709f1121f7f7) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [CheckboxGroup, RadioGroup] Add `moreInfo` prop to add icon and tooltip to label

### Patch Changes

- [#1213](https://github.com/servicetitan/hammer/pull/1213) [`5aa9071`](https://github.com/servicetitan/hammer/commit/5aa9071087467182e4cc28612880709f1121f7f7) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [CheckboxGroup, RadioGroup] Fix label font-size to match other form field labels

- [#1227](https://github.com/servicetitan/hammer/pull/1227) [`76b5a25`](https://github.com/servicetitan/hammer/commit/76b5a25320844dd42ceb01691c88af048fe7bd20) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog, Drawer] Fix issue with scroll blocking on body and nested dialogs

- [#1233](https://github.com/servicetitan/hammer/pull/1233) [`5f14d4e`](https://github.com/servicetitan/hammer/commit/5f14d4ea5d93795779e4eab60022afb1921532a0) Thanks [@ericag1985](https://github.com/ericag1985)! - [Menu] Fix nested menus throwing resize observor loop if taller than base menu

- Updated dependencies [[`5aa9071`](https://github.com/servicetitan/hammer/commit/5aa9071087467182e4cc28612880709f1121f7f7), [`1b63032`](https://github.com/servicetitan/hammer/commit/1b6303229bafadaba49eca50259c782de2c5562e), [`76b5a25`](https://github.com/servicetitan/hammer/commit/76b5a25320844dd42ceb01691c88af048fe7bd20), [`5f14d4e`](https://github.com/servicetitan/hammer/commit/5f14d4ea5d93795779e4eab60022afb1921532a0), [`5aa9071`](https://github.com/servicetitan/hammer/commit/5aa9071087467182e4cc28612880709f1121f7f7)]:
  - @servicetitan/hammer-react@1.34.0

## 1.32.1

### Patch Changes

- [#1223](https://github.com/servicetitan/hammer/pull/1223) [`5a5dcfa`](https://github.com/servicetitan/hammer/commit/5a5dcfa2cc1afcb9fadf3dbb7a72dd360dc0fa7f) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [Combobox, DateField, Dialog, Drawer, Menu] Focus no longer unexpectedly jumps when used in the shadow DOM

- [#1226](https://github.com/servicetitan/hammer/pull/1226) [`36a2ed6`](https://github.com/servicetitan/hammer/commit/36a2ed6c2e083c091e8ecf283069bdd5c3b2a544) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [Tooltip] Reference to child Trigger is preserved

- [#1230](https://github.com/servicetitan/hammer/pull/1230) [`425d247`](https://github.com/servicetitan/hammer/commit/425d2478cb24fda008038e8392cc54b9cea8154b) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [Calendar, DateField] Calendar no longer resets focus unexpectedly

- Updated dependencies [[`5a5dcfa`](https://github.com/servicetitan/hammer/commit/5a5dcfa2cc1afcb9fadf3dbb7a72dd360dc0fa7f), [`36a2ed6`](https://github.com/servicetitan/hammer/commit/36a2ed6c2e083c091e8ecf283069bdd5c3b2a544), [`425d247`](https://github.com/servicetitan/hammer/commit/425d2478cb24fda008038e8392cc54b9cea8154b)]:
  - @servicetitan/hammer-react@1.33.1

## 1.32.0

### Minor Changes

- [#1209](https://github.com/servicetitan/hammer/pull/1209) [`37c2411`](https://github.com/servicetitan/hammer/commit/37c24110b543941ded1677d502677c87d8d320e7) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [SegmentedControl] Add ability to control state to SegmentedControl

- [#1203](https://github.com/servicetitan/hammer/pull/1203) [`37c2411`](https://github.com/servicetitan/hammer/commit/37c24110b543941ded1677d502677c87d8d320e7) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DaysOfTheWeek] Adds DaysOfTheWeek component

### Patch Changes

- Updated dependencies [[`37c2411`](https://github.com/servicetitan/hammer/commit/37c24110b543941ded1677d502677c87d8d320e7), [`37c2411`](https://github.com/servicetitan/hammer/commit/37c24110b543941ded1677d502677c87d8d320e7), [`37c2411`](https://github.com/servicetitan/hammer/commit/37c24110b543941ded1677d502677c87d8d320e7)]:
  - @servicetitan/hammer-react@1.33.0

## 1.31.4

### Patch Changes

- [#1210](https://github.com/servicetitan/hammer/pull/1210) [`fde3405`](https://github.com/servicetitan/hammer/commit/fde340599bc56083d01c30ead7ed90948d08f54e) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Update `Combobox` to maintain `highlightedIndex` when selecting items

- [#1208](https://github.com/servicetitan/hammer/pull/1208) [`8adbf6c`](https://github.com/servicetitan/hammer/commit/8adbf6cde8527f1f7914957cb0a9fc9f1521c703) Thanks [@ericag1985](https://github.com/ericag1985)! - [Toolbar] Fix icon only controls not having tooltip

- [#1215](https://github.com/servicetitan/hammer/pull/1215) [`e1bedfe`](https://github.com/servicetitan/hammer/commit/e1bedfe2ef24e58fb931b35a550338582f77d4f8) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Tooltip] Fix position bug for `Tooltip.Trigger.children` that do not accept `ref`

- [#1218](https://github.com/servicetitan/hammer/pull/1218) [`ae90937`](https://github.com/servicetitan/hammer/commit/ae909374f43d9f1711afbcf849d474929e67670c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Tooltip] Allow for React fragment as `Tooltip.Trigger.children`

- Updated dependencies [[`fde3405`](https://github.com/servicetitan/hammer/commit/fde340599bc56083d01c30ead7ed90948d08f54e), [`8adbf6c`](https://github.com/servicetitan/hammer/commit/8adbf6cde8527f1f7914957cb0a9fc9f1521c703), [`e1bedfe`](https://github.com/servicetitan/hammer/commit/e1bedfe2ef24e58fb931b35a550338582f77d4f8), [`ae90937`](https://github.com/servicetitan/hammer/commit/ae909374f43d9f1711afbcf849d474929e67670c)]:
  - @servicetitan/hammer-react@1.32.4

## 1.31.3

### Patch Changes

- [#1200](https://github.com/servicetitan/hammer/pull/1200) [`aca4db6`](https://github.com/servicetitan/hammer/commit/aca4db680fe251b398968ef8ff76f0df32603793) Thanks [@ericag1985](https://github.com/ericag1985)! - [Page] Fix footer bootstrap override with revert layer

- [#1199](https://github.com/servicetitan/hammer/pull/1199) [`d579afa`](https://github.com/servicetitan/hammer/commit/d579afa1dfe6dae27cacf83f0648235e91ef7e4e) Thanks [@ericag1985](https://github.com/ericag1985)! - [Button Toggle, Toolbar Toggle Button] Fix tier 3 token style regression

- Updated dependencies [[`d579afa`](https://github.com/servicetitan/hammer/commit/d579afa1dfe6dae27cacf83f0648235e91ef7e4e)]:
  - @servicetitan/hammer-react@1.32.3

## 1.31.2

### Patch Changes

- [#1183](https://github.com/servicetitan/hammer/pull/1183) [`1d5a78f`](https://github.com/servicetitan/hammer/commit/1d5a78f8753f3ca7fde0ead285834639feb4342c) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Fix missing export of DndSort

- [#1194](https://github.com/servicetitan/hammer/pull/1194) [`19d88d4`](https://github.com/servicetitan/hammer/commit/19d88d421383159566b4454b2dbd35f66ceb3ad2) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [AvatarGroup] Fix overflow count if 10 or greater

- Updated dependencies [[`19d88d4`](https://github.com/servicetitan/hammer/commit/19d88d421383159566b4454b2dbd35f66ceb3ad2)]:
  - @servicetitan/hammer-react@1.32.2

## 1.31.1

### Patch Changes

- [#1187](https://github.com/servicetitan/hammer/pull/1187) [`a05dd07`](https://github.com/servicetitan/hammer/commit/a05dd07c53f3579d86c8cfcb655db419f930f7ae) Thanks [@rgdelato](https://github.com/rgdelato)! - [Chip] Bugfix for `Chip` `data-tracking-id` value

- [#1190](https://github.com/servicetitan/hammer/pull/1190) [`b310fb5`](https://github.com/servicetitan/hammer/commit/b310fb52d12cf49e2b17bf05e445168e7ef49845) Thanks [@tounsoo](https://github.com/tounsoo)! - [CSS] Unwrap theme variables in scss mapping to optimize performance

- [#1193](https://github.com/servicetitan/hammer/pull/1193) [`2638541`](https://github.com/servicetitan/hammer/commit/2638541f57c3de5292444eefde7ebe71b5cf66ff) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Toaster] Fix toast duration bug

- Updated dependencies [[`b310fb5`](https://github.com/servicetitan/hammer/commit/b310fb52d12cf49e2b17bf05e445168e7ef49845), [`2638541`](https://github.com/servicetitan/hammer/commit/2638541f57c3de5292444eefde7ebe71b5cf66ff)]:
  - @servicetitan/hammer-react@1.32.1

## 1.31.0

### Minor Changes

- [#1170](https://github.com/servicetitan/hammer/pull/1170) [`aec6645`](https://github.com/servicetitan/hammer/commit/aec6645cf072e821982bda5b69f724c65506450c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Toaster] Add `onToastEvent` callback and do internal refactors

### Patch Changes

- [#1180](https://github.com/servicetitan/hammer/pull/1180) [`8fba073`](https://github.com/servicetitan/hammer/commit/8fba07315ce49f8f8a9ac231cfe206e6799bf3f3) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [DateField] Now additionally accepts ISO formatted dates

- [#1179](https://github.com/servicetitan/hammer/pull/1179) [`36b63ed`](https://github.com/servicetitan/hammer/commit/36b63ed6908b3c28375730e500cce5aee2c2c84c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Toaster] Fix issue with `Toaster` rendering below `Dialog` and `Drawer`

- [#1165](https://github.com/servicetitan/hammer/pull/1165) [`6a9768c`](https://github.com/servicetitan/hammer/commit/6a9768c710d1caa645b41ac6358acaa5bc5bacab) Thanks [@rgdelato](https://github.com/rgdelato)! - Expose `useBreakpoint` hook

- [#1177](https://github.com/servicetitan/hammer/pull/1177) [`ebf7a03`](https://github.com/servicetitan/hammer/commit/ebf7a03f143dc4d33b65ebd858825122ade53151) Thanks [@rgdelato](https://github.com/rgdelato)! - [DateField] Export `DateSelect` and `DateRangeSelect` types

- Updated dependencies [[`aec6645`](https://github.com/servicetitan/hammer/commit/aec6645cf072e821982bda5b69f724c65506450c), [`8fba073`](https://github.com/servicetitan/hammer/commit/8fba07315ce49f8f8a9ac231cfe206e6799bf3f3), [`36b63ed`](https://github.com/servicetitan/hammer/commit/36b63ed6908b3c28375730e500cce5aee2c2c84c), [`aec6645`](https://github.com/servicetitan/hammer/commit/aec6645cf072e821982bda5b69f724c65506450c)]:
  - @servicetitan/hammer-react@1.32.0

## 1.30.0

### Minor Changes

- [#1173](https://github.com/servicetitan/hammer/pull/1173) [`7cd90c2`](https://github.com/servicetitan/hammer/commit/7cd90c22240cdb7b1f80ee3e88336ffacfaa4bcd) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Add keyboard interactions

- [#1058](https://github.com/servicetitan/hammer/pull/1058) [`e51ea16`](https://github.com/servicetitan/hammer/commit/e51ea16532654e9abe794ee945e5bc8f936bb79a) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DndSort] Add drag and drop components

### Patch Changes

- [#1164](https://github.com/servicetitan/hammer/pull/1164) [`b6e5db1`](https://github.com/servicetitan/hammer/commit/b6e5db16ca0b1c6c2961b9e366dbff9de019017d) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Flex] Allow gap property to be a number

- [#1162](https://github.com/servicetitan/hammer/pull/1162) [`934ff0f`](https://github.com/servicetitan/hammer/commit/934ff0f3290b01ee91eb201a4ecccd579314e222) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [EditCard] layoutProps now applied to contents instead of container

- [#1171](https://github.com/servicetitan/hammer/pull/1171) [`dc0c19f`](https://github.com/servicetitan/hammer/commit/dc0c19f1a8b58890030ad5bea2923d7e6951e92c) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog, Drawer] Fix focus jumping to first element on content mutation

- [#1158](https://github.com/servicetitan/hammer/pull/1158) [`e13e415`](https://github.com/servicetitan/hammer/commit/e13e4155a0eba2918a53a90d1e210af8aa7b1bce) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog] Fix fullscreen Dialog not scrolling when overflowing

- [#1156](https://github.com/servicetitan/hammer/pull/1156) [`1511142`](https://github.com/servicetitan/hammer/commit/151114285ffc64dcebcfc6c08cca5b58544e4822) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Checkbox] Cleanup internal state for controlled Checkboxes

- Updated dependencies [[`b6e5db1`](https://github.com/servicetitan/hammer/commit/b6e5db16ca0b1c6c2961b9e366dbff9de019017d), [`7cd90c2`](https://github.com/servicetitan/hammer/commit/7cd90c22240cdb7b1f80ee3e88336ffacfaa4bcd), [`e51ea16`](https://github.com/servicetitan/hammer/commit/e51ea16532654e9abe794ee945e5bc8f936bb79a), [`e51ea16`](https://github.com/servicetitan/hammer/commit/e51ea16532654e9abe794ee945e5bc8f936bb79a), [`934ff0f`](https://github.com/servicetitan/hammer/commit/934ff0f3290b01ee91eb201a4ecccd579314e222), [`e51ea16`](https://github.com/servicetitan/hammer/commit/e51ea16532654e9abe794ee945e5bc8f936bb79a), [`dc0c19f`](https://github.com/servicetitan/hammer/commit/dc0c19f1a8b58890030ad5bea2923d7e6951e92c), [`e13e415`](https://github.com/servicetitan/hammer/commit/e13e4155a0eba2918a53a90d1e210af8aa7b1bce), [`1511142`](https://github.com/servicetitan/hammer/commit/151114285ffc64dcebcfc6c08cca5b58544e4822)]:
  - @servicetitan/hammer-react@1.31.0
  - @servicetitan/hammer-token@2.3.0

## 1.29.0

### Minor Changes

- [#1143](https://github.com/servicetitan/hammer/pull/1143) [`a783c92`](https://github.com/servicetitan/hammer/commit/a783c92caa122b604f20accb599d1ff6625de951) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Combobox] Add support for grouping Combobox options

- [#1153](https://github.com/servicetitan/hammer/pull/1153) [`326735c`](https://github.com/servicetitan/hammer/commit/326735cd8805190e971d6a88ee33a70df7ec782c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [toast] Add `onDismiss` to `toast` methods

### Patch Changes

- [#1125](https://github.com/servicetitan/hammer/pull/1125) [`3570a1c`](https://github.com/servicetitan/hammer/commit/3570a1c63fbfa1509a1a6bd4c67c5bb5848f39e5) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [DateField] Better handling of inputs and accepting default states

- [#1145](https://github.com/servicetitan/hammer/pull/1145) [`21b1215`](https://github.com/servicetitan/hammer/commit/21b12159e07ef53c47bde1313bc395c6002a54ec) Thanks [@tounsoo](https://github.com/tounsoo)! - [PopoverLegacy] Fix PopoverLegacyButton to handle undefined children

- [#1124](https://github.com/servicetitan/hammer/pull/1124) [`bf2eb9f`](https://github.com/servicetitan/hammer/commit/bf2eb9f7225eb94ff3dad2749b6ada920986e4a3) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog, Drawer] Reimplement fix contained scrolling when Dialog or Drawer is open and new `enableScrollChaining` prop is `false` (default)

- [#1145](https://github.com/servicetitan/hammer/pull/1145) [`21b1215`](https://github.com/servicetitan/hammer/commit/21b12159e07ef53c47bde1313bc395c6002a54ec) Thanks [@tounsoo](https://github.com/tounsoo)! - [Menu] Add `root` prop to Menu for fallback usages

- Updated dependencies [[`a783c92`](https://github.com/servicetitan/hammer/commit/a783c92caa122b604f20accb599d1ff6625de951), [`3570a1c`](https://github.com/servicetitan/hammer/commit/3570a1c63fbfa1509a1a6bd4c67c5bb5848f39e5), [`21b1215`](https://github.com/servicetitan/hammer/commit/21b12159e07ef53c47bde1313bc395c6002a54ec), [`326735c`](https://github.com/servicetitan/hammer/commit/326735cd8805190e971d6a88ee33a70df7ec782c), [`bf2eb9f`](https://github.com/servicetitan/hammer/commit/bf2eb9f7225eb94ff3dad2749b6ada920986e4a3), [`21b1215`](https://github.com/servicetitan/hammer/commit/21b12159e07ef53c47bde1313bc395c6002a54ec)]:
  - @servicetitan/hammer-react@1.30.0

## 1.28.0

### Minor Changes

- [#1036](https://github.com/servicetitan/hammer/pull/1036) [`a2654bb`](https://github.com/servicetitan/hammer/commit/a2654bb8261ca1a9d85ca4e1901f467458e60de4) Thanks [@da1z](https://github.com/da1z)! - [Page] Add page footer component

### Patch Changes

- [#1129](https://github.com/servicetitan/hammer/pull/1129) [`6e2f4f1`](https://github.com/servicetitan/hammer/commit/6e2f4f184052921f378862ef4428987d8cbedf55) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Tooltip] Fix Popover and Tooltip repositioning when it is closing

- [#1138](https://github.com/servicetitan/hammer/pull/1138) [`64574f4`](https://github.com/servicetitan/hammer/commit/64574f404ad8485fc81de43591f782de12908e39) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Tooltip] Add `root` prop to Tooltip and Popover for fallback usages

- [#1120](https://github.com/servicetitan/hammer/pull/1120) [`e4fa835`](https://github.com/servicetitan/hammer/commit/e4fa8353d0a4bcb7870d800190cd1c2fd0fb2581) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Menu, Combobox, Tooltip, DateField] Add fallback for components using Popover API to legacy version component if browser is incompatible

- [#1140](https://github.com/servicetitan/hammer/pull/1140) [`c54203a`](https://github.com/servicetitan/hammer/commit/c54203add8393c26c5b41050a9951333a427ca18) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Dialog] Use mousedown event to only close when click starts outside dialog

- Updated dependencies [[`6e2f4f1`](https://github.com/servicetitan/hammer/commit/6e2f4f184052921f378862ef4428987d8cbedf55), [`64574f4`](https://github.com/servicetitan/hammer/commit/64574f404ad8485fc81de43591f782de12908e39), [`e4fa835`](https://github.com/servicetitan/hammer/commit/e4fa8353d0a4bcb7870d800190cd1c2fd0fb2581), [`c54203a`](https://github.com/servicetitan/hammer/commit/c54203add8393c26c5b41050a9951333a427ca18)]:
  - @servicetitan/hammer-react@1.29.3

## 1.27.2

### Patch Changes

- [#1105](https://github.com/servicetitan/hammer/pull/1105) [`df18de5`](https://github.com/servicetitan/hammer/commit/df18de5099a5d019a1bde27fa3274162d5d4fcaa) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Grid] Fix missing export of Grid.Item

- [#1126](https://github.com/servicetitan/hammer/pull/1126) [`7186837`](https://github.com/servicetitan/hammer/commit/718683785d6c84d18dee50c5cfd24eb3cd538bf6) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Combobox, DateField] Reimplement update to Popover to gets focusable elements so that it updates them on mutation

- [#1128](https://github.com/servicetitan/hammer/pull/1128) [`2519a25`](https://github.com/servicetitan/hammer/commit/2519a25bcf79ab943c48dc19213f9aedf4817f1f) Thanks [@ericag1985](https://github.com/ericag1985)! - [Button Toggle] Fix pressed state hover state

- [#1128](https://github.com/servicetitan/hammer/pull/1128) [`2519a25`](https://github.com/servicetitan/hammer/commit/2519a25bcf79ab943c48dc19213f9aedf4817f1f) Thanks [@ericag1985](https://github.com/ericag1985)! - [Toolbar] Fix space between controls and vertical overflow menu icon direction

- Updated dependencies [[`df18de5`](https://github.com/servicetitan/hammer/commit/df18de5099a5d019a1bde27fa3274162d5d4fcaa), [`7186837`](https://github.com/servicetitan/hammer/commit/718683785d6c84d18dee50c5cfd24eb3cd538bf6), [`2519a25`](https://github.com/servicetitan/hammer/commit/2519a25bcf79ab943c48dc19213f9aedf4817f1f), [`2519a25`](https://github.com/servicetitan/hammer/commit/2519a25bcf79ab943c48dc19213f9aedf4817f1f)]:
  - @servicetitan/hammer-react@1.29.2

## 1.27.1

### Patch Changes

- [#1121](https://github.com/servicetitan/hammer/pull/1121) [`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Combobox] Revert #1094, which caused Combobox to crash in some cases

- [#1121](https://github.com/servicetitan/hammer/pull/1121) [`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Dialog, Drawer] Revert #1107, which caused broken page scrolling in some cases

- [#1121](https://github.com/servicetitan/hammer/pull/1121) [`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [DateField] Revert #1064, which relied on broken Combobox changes

- Updated dependencies [[`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31), [`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31), [`98c8378`](https://github.com/servicetitan/hammer/commit/98c83780d069ac86eeca073969e0c115844baf31)]:
  - @servicetitan/hammer-react@1.29.1

## 1.27.0

### Minor Changes

- [#1080](https://github.com/servicetitan/hammer/pull/1080) [`a28a71b`](https://github.com/servicetitan/hammer/commit/a28a71bf913b256bd5a37bd7aeb8a3230226a8a2) Thanks [@tounsoo](https://github.com/tounsoo)! - [useOnClickOutside] New custom hook useOnClickOutside hook added

- [#1041](https://github.com/servicetitan/hammer/pull/1041) [`d701b5e`](https://github.com/servicetitan/hammer/commit/d701b5e15d8114d7a3f42e70e9f9826e5c11aada) Thanks [@helenvholmes](https://github.com/helenvholmes)! - [SelectCard] Add select card component to the library

- [#1089](https://github.com/servicetitan/hammer/pull/1089) [`ae7ed47`](https://github.com/servicetitan/hammer/commit/ae7ed4709d875f6f866eaba5c45cac46e382168e) Thanks [@tounsoo](https://github.com/tounsoo)! - [icon] Add 13 icons standardized for Toolbelt

- [#1055](https://github.com/servicetitan/hammer/pull/1055) [`5298f64`](https://github.com/servicetitan/hammer/commit/5298f6452bd666bd5ec56e4755413b62522630e0) Thanks [@ericag1985](https://github.com/ericag1985)! - [Page] Add global page header component to page layout

- [#1053](https://github.com/servicetitan/hammer/pull/1053) [`a77ea35`](https://github.com/servicetitan/hammer/commit/a77ea3512be19df6c62518236fd618ec133b6828) Thanks [@tounsoo](https://github.com/tounsoo)! - [Token] Add component token for Button (Tier 3)

- [#1107](https://github.com/servicetitan/hammer/pull/1107) [`d0aa050`](https://github.com/servicetitan/hammer/commit/d0aa0506d92db87254d76c43b51a3b48b11b18e7) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog, Drawer] Fix contained scrolling when Dialog or Drawer is open and new `enableScrollChaining` prop is `false` (default)

- [#1114](https://github.com/servicetitan/hammer/pull/1114) [`cd71261`](https://github.com/servicetitan/hammer/commit/cd712612e9d50a6ca6b19853349677e0f10b33cf) Thanks [@tounsoo](https://github.com/tounsoo)! - [CSS-Utils] Add all side padding and margin utility classes

- [#1069](https://github.com/servicetitan/hammer/pull/1069) [`6ab7e37`](https://github.com/servicetitan/hammer/commit/6ab7e37f81accac94e1629cb37d32174d681dbc3) Thanks [@rgdelato](https://github.com/rgdelato)! - [Divider] Update `Divider` spacing to match expected values

### Patch Changes

- [#1106](https://github.com/servicetitan/hammer/pull/1106) [`4726a31`](https://github.com/servicetitan/hammer/commit/4726a31cce3c608f8dc9cb94f4c578ee0610e33a) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [Toast] Fix "Show More" button colors

- [#1091](https://github.com/servicetitan/hammer/pull/1091) [`16d33c2`](https://github.com/servicetitan/hammer/commit/16d33c23ab76097078cf3931b1b9502bb12d4563) Thanks [@tounsoo](https://github.com/tounsoo)! - [Page] Fix PagePanel not changing to responsive mode with rest of the Page elements

- [#1081](https://github.com/servicetitan/hammer/pull/1081) [`d38d599`](https://github.com/servicetitan/hammer/commit/d38d599c0cccbe26390b8811284140ed9fa7ac3b) Thanks [@tounsoo](https://github.com/tounsoo)! - [SearchField] Fix clear button not reacting to value change

- [#1070](https://github.com/servicetitan/hammer/pull/1070) [`c50dea6`](https://github.com/servicetitan/hammer/commit/c50dea6c2a4a04e3081776df86d8581997623129) Thanks [@rgdelato](https://github.com/rgdelato)! - [TextField, Textarea, Combobox, Radio, Checkbox, ProgressBar] Update error message alignment

- [#1053](https://github.com/servicetitan/hammer/pull/1053) [`a77ea35`](https://github.com/servicetitan/hammer/commit/a77ea3512be19df6c62518236fd618ec133b6828) Thanks [@tounsoo](https://github.com/tounsoo)! - [Button] Style change for secondary to be borderless with gray background

- [#1080](https://github.com/servicetitan/hammer/pull/1080) [`a28a71b`](https://github.com/servicetitan/hammer/commit/a28a71bf913b256bd5a37bd7aeb8a3230226a8a2) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Combobox, DateField] Refactor onClickOutside to use custom hook

- [#1064](https://github.com/servicetitan/hammer/pull/1064) [`c4f23da`](https://github.com/servicetitan/hammer/commit/c4f23da338021a2ee8a764e9b37cf99090a0a95b) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [DateField] Better handling of inputs and accepting default states

- [#1116](https://github.com/servicetitan/hammer/pull/1116) [`abe9bff`](https://github.com/servicetitan/hammer/commit/abe9bff6546f37a7775e063c95848ac8a5cb8ebe) Thanks [@rgdelato](https://github.com/rgdelato)! - [Toast] Bugfix for extra space when `Toast` `message` is empty

- [#1111](https://github.com/servicetitan/hammer/pull/1111) [`a6f19a2`](https://github.com/servicetitan/hammer/commit/a6f19a21beaec4f7fe190e4c60a3c42b0ff39e6d) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - [toast.promise] Resolve promise toast messages when closed while loading

- [#1071](https://github.com/servicetitan/hammer/pull/1071) [`7832c7d`](https://github.com/servicetitan/hammer/commit/7832c7ddd0e9067bb334fb40d3faa8736d071413) Thanks [@rgdelato](https://github.com/rgdelato)! - [Page] Update `Page` `panel` breakpoint from `md` to `lg`

- [#1104](https://github.com/servicetitan/hammer/pull/1104) [`f8b390e`](https://github.com/servicetitan/hammer/commit/f8b390e34c0025ee63f2329241c95f743ba7c8c5) Thanks [@tounsoo](https://github.com/tounsoo)! - [CSS-Utils] Update css-util formatter to have correct css variables and proper fallback for colors

- [#1094](https://github.com/servicetitan/hammer/pull/1094) [`39120dd`](https://github.com/servicetitan/hammer/commit/39120ddc51c3c2b1fbc77ce8821d43d59b78b836) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Combobox, DateField] Update Popover to gets focusable elements so that it updates them on mutation

- [#1109](https://github.com/servicetitan/hammer/pull/1109) [`71f0eee`](https://github.com/servicetitan/hammer/commit/71f0eee840c125734d790a746363deac6de8d556) Thanks [@ericag1985](https://github.com/ericag1985)! - [OverflowText] Add "unlimited" option for rows property

- [#1088](https://github.com/servicetitan/hammer/pull/1088) [`340372c`](https://github.com/servicetitan/hammer/commit/340372c73ada60196e58c74d8a18a5b424200507) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Remove checkbox from `Combobox.ItemAddNew` in `Combobox` `multiple`

- [#1092](https://github.com/servicetitan/hammer/pull/1092) [`0fc0c27`](https://github.com/servicetitan/hammer/commit/0fc0c271cd7312b1defb97156a0b1c5ac82d727f) Thanks [@tounsoo](https://github.com/tounsoo)! - [Page] Fix regression of scroll not working in Page main content

- [#1107](https://github.com/servicetitan/hammer/pull/1107) [`d0aa050`](https://github.com/servicetitan/hammer/commit/d0aa0506d92db87254d76c43b51a3b48b11b18e7) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog] Fix focusable item calculation timing and to focus on first focusable content instead of close button if it is available

- [#1074](https://github.com/servicetitan/hammer/pull/1074) [`cc9ecc1`](https://github.com/servicetitan/hammer/commit/cc9ecc125995265a053f8e96152a30a6bb795678) Thanks [@tounsoo](https://github.com/tounsoo)! - [Link] Fix external icon to wrap inline with text

- [#1113](https://github.com/servicetitan/hammer/pull/1113) [`6d54959`](https://github.com/servicetitan/hammer/commit/6d54959b06b2c2f403cced4f349ed2aa80066bef) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover] Update max-width so that Popover in small screen doesn't create horizontal scrolling

- [#837](https://github.com/servicetitan/hammer/pull/837) [`4bc855e`](https://github.com/servicetitan/hammer/commit/4bc855efa494fb697f52924f66f917b8af4e93bd) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Add `useInfiniteCombobox` hook for use with ST backend APIs

- [#1112](https://github.com/servicetitan/hammer/pull/1112) [`a9d8f7c`](https://github.com/servicetitan/hammer/commit/a9d8f7cf06e9bec8052f534fae917765e9d92d47) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - [Combobox] No longer closes on scrollbar click

- [#1108](https://github.com/servicetitan/hammer/pull/1108) [`876f6c5`](https://github.com/servicetitan/hammer/commit/876f6c59e44207b284a42439d76ca0918c4626ad) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog] Fix Dialog not clipping the overflow properly

- [#1110](https://github.com/servicetitan/hammer/pull/1110) [`c64daae`](https://github.com/servicetitan/hammer/commit/c64daae0e007316d5c54698d15e65f1e87d34b17) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Page] Fix sidenav positioning issue when scrollbar present

- Updated dependencies [[`4726a31`](https://github.com/servicetitan/hammer/commit/4726a31cce3c608f8dc9cb94f4c578ee0610e33a), [`a28a71b`](https://github.com/servicetitan/hammer/commit/a28a71bf913b256bd5a37bd7aeb8a3230226a8a2), [`d38d599`](https://github.com/servicetitan/hammer/commit/d38d599c0cccbe26390b8811284140ed9fa7ac3b), [`c50dea6`](https://github.com/servicetitan/hammer/commit/c50dea6c2a4a04e3081776df86d8581997623129), [`a77ea35`](https://github.com/servicetitan/hammer/commit/a77ea3512be19df6c62518236fd618ec133b6828), [`a28a71b`](https://github.com/servicetitan/hammer/commit/a28a71bf913b256bd5a37bd7aeb8a3230226a8a2), [`d701b5e`](https://github.com/servicetitan/hammer/commit/d701b5e15d8114d7a3f42e70e9f9826e5c11aada), [`c4f23da`](https://github.com/servicetitan/hammer/commit/c4f23da338021a2ee8a764e9b37cf99090a0a95b), [`abe9bff`](https://github.com/servicetitan/hammer/commit/abe9bff6546f37a7775e063c95848ac8a5cb8ebe), [`a6f19a2`](https://github.com/servicetitan/hammer/commit/a6f19a21beaec4f7fe190e4c60a3c42b0ff39e6d), [`f8b390e`](https://github.com/servicetitan/hammer/commit/f8b390e34c0025ee63f2329241c95f743ba7c8c5), [`39120dd`](https://github.com/servicetitan/hammer/commit/39120ddc51c3c2b1fbc77ce8821d43d59b78b836), [`a77ea35`](https://github.com/servicetitan/hammer/commit/a77ea3512be19df6c62518236fd618ec133b6828), [`d0aa050`](https://github.com/servicetitan/hammer/commit/d0aa0506d92db87254d76c43b51a3b48b11b18e7), [`71f0eee`](https://github.com/servicetitan/hammer/commit/71f0eee840c125734d790a746363deac6de8d556), [`cd71261`](https://github.com/servicetitan/hammer/commit/cd712612e9d50a6ca6b19853349677e0f10b33cf), [`340372c`](https://github.com/servicetitan/hammer/commit/340372c73ada60196e58c74d8a18a5b424200507), [`d0aa050`](https://github.com/servicetitan/hammer/commit/d0aa0506d92db87254d76c43b51a3b48b11b18e7), [`f6dfeb3`](https://github.com/servicetitan/hammer/commit/f6dfeb3037f5966eb909be37db60f17c0e79e694), [`cc9ecc1`](https://github.com/servicetitan/hammer/commit/cc9ecc125995265a053f8e96152a30a6bb795678), [`6d54959`](https://github.com/servicetitan/hammer/commit/6d54959b06b2c2f403cced4f349ed2aa80066bef), [`4bc855e`](https://github.com/servicetitan/hammer/commit/4bc855efa494fb697f52924f66f917b8af4e93bd), [`a9d8f7c`](https://github.com/servicetitan/hammer/commit/a9d8f7cf06e9bec8052f534fae917765e9d92d47), [`6ab7e37`](https://github.com/servicetitan/hammer/commit/6ab7e37f81accac94e1629cb37d32174d681dbc3), [`876f6c5`](https://github.com/servicetitan/hammer/commit/876f6c59e44207b284a42439d76ca0918c4626ad)]:
  - @servicetitan/hammer-react@1.29.0
  - @servicetitan/hammer-token@2.2.0

## 1.26.5

### Patch Changes

- [#1144](https://github.com/servicetitan/hammer/pull/1144) [`6e92522`](https://github.com/servicetitan/hammer/commit/6e925224b4cf56c49ccbb215a28f20ec3156790c) Thanks [@tounsoo](https://github.com/tounsoo)! - [PopoverLegacy] Fix PopoverLegacyButton to handle undefined children

- Updated dependencies [[`6e92522`](https://github.com/servicetitan/hammer/commit/6e925224b4cf56c49ccbb215a28f20ec3156790c)]:
  - @servicetitan/hammer-react@1.28.5

## 1.26.4

### Patch Changes

- [#1141](https://github.com/servicetitan/hammer/pull/1141) [`cddd91e`](https://github.com/servicetitan/hammer/commit/cddd91e7ada37d3622b2e0fc0493bb93bcc1652a) Thanks [@tounsoo](https://github.com/tounsoo)! - [Menu] Add `root` prop to Menu for fallback usages

- Updated dependencies [[`cddd91e`](https://github.com/servicetitan/hammer/commit/cddd91e7ada37d3622b2e0fc0493bb93bcc1652a)]:
  - @servicetitan/hammer-react@1.28.4

## 1.26.3

### Patch Changes

- [#1137](https://github.com/servicetitan/hammer/pull/1137) [`6e565fc`](https://github.com/servicetitan/hammer/commit/6e565fc9eeed40eb542235f291f0d77264df3033) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Tooltip] Add `root` prop to Tooltip and Popover for fallback usages

- Updated dependencies [[`6e565fc`](https://github.com/servicetitan/hammer/commit/6e565fc9eeed40eb542235f291f0d77264df3033)]:
  - @servicetitan/hammer-react@1.28.3

## 1.26.2

### Patch Changes

- [#1133](https://github.com/servicetitan/hammer/pull/1133) [`d72785a`](https://github.com/servicetitan/hammer/commit/d72785ad92dbdfc77e4544da0c13eef747380fe4) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Menu, Combobox, Tooltip, DateField] Add fallback for components using Popover API to legacy version component if browser is incompatible

- Updated dependencies [[`d72785a`](https://github.com/servicetitan/hammer/commit/d72785ad92dbdfc77e4544da0c13eef747380fe4)]:
  - @servicetitan/hammer-react@1.28.2

## 1.26.1

### Patch Changes

- [#1078](https://github.com/servicetitan/hammer/pull/1078) [`d7a4c4f`](https://github.com/servicetitan/hammer/commit/d7a4c4fb36c8f655a0ca754ce61a8b7ca6c94446) Thanks [@rgdelato](https://github.com/rgdelato)! - [Tooltip] Add `max-width` to `Tooltip.Content`

- [#1072](https://github.com/servicetitan/hammer/pull/1072) [`bbb1822`](https://github.com/servicetitan/hammer/commit/bbb18226af201f921c1e735a69d43de372fd64a6) Thanks [@ericag1985](https://github.com/ericag1985)! - [Side Nav Link] Fix disabled links still be clickable

- [#1075](https://github.com/servicetitan/hammer/pull/1075) [`e012972`](https://github.com/servicetitan/hammer/commit/e01297264b05e60489fcc9d6f14758f4ce605755) Thanks [@tounsoo](https://github.com/tounsoo)! - [Drawer, Dialog] onClick to fire before close

- [#1068](https://github.com/servicetitan/hammer/pull/1068) [`14505d4`](https://github.com/servicetitan/hammer/commit/14505d456543988d51197c5e1aaa584365e19247) Thanks [@ericag1985](https://github.com/ericag1985)! - [CSS-utils] fix layers being out of order when using the utility css sheets

- [#1066](https://github.com/servicetitan/hammer/pull/1066) [`b6fda14`](https://github.com/servicetitan/hammer/commit/b6fda1418302f591593d832bdc55d661b605f04c) Thanks [@tounsoo](https://github.com/tounsoo)! - [Toaster] Bugfix incorrect show more button colors

- [#1073](https://github.com/servicetitan/hammer/pull/1073) [`e268d7c`](https://github.com/servicetitan/hammer/commit/e268d7c695cfa594e6d41def17c3b116ad2bf329) Thanks [@tounsoo](https://github.com/tounsoo)! - [useKeyboardFocusables] Add a new method to update focusables

- [#1076](https://github.com/servicetitan/hammer/pull/1076) [`9e0de09`](https://github.com/servicetitan/hammer/commit/9e0de09c0bab4d7467f8a2fece58c3eb458d9775) Thanks [@tounsoo](https://github.com/tounsoo)! - [ButtonCompound] Fix border radius of rounded variant to match Card's new border radius

- [#1082](https://github.com/servicetitan/hammer/pull/1082) [`c34722b`](https://github.com/servicetitan/hammer/commit/c34722b486b9e9809142e024d62373b7d8bc5767) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tab] Fix Tab to update interal state when a new tab is dynamically added

- [#1073](https://github.com/servicetitan/hammer/pull/1073) [`e268d7c`](https://github.com/servicetitan/hammer/commit/e268d7c695cfa594e6d41def17c3b116ad2bf329) Thanks [@tounsoo](https://github.com/tounsoo)! - [Drawer] Change focus behavior to focus first focusable content

- Updated dependencies [[`d7a4c4f`](https://github.com/servicetitan/hammer/commit/d7a4c4fb36c8f655a0ca754ce61a8b7ca6c94446), [`bbb1822`](https://github.com/servicetitan/hammer/commit/bbb18226af201f921c1e735a69d43de372fd64a6), [`e012972`](https://github.com/servicetitan/hammer/commit/e01297264b05e60489fcc9d6f14758f4ce605755), [`14505d4`](https://github.com/servicetitan/hammer/commit/14505d456543988d51197c5e1aaa584365e19247), [`b6fda14`](https://github.com/servicetitan/hammer/commit/b6fda1418302f591593d832bdc55d661b605f04c), [`e268d7c`](https://github.com/servicetitan/hammer/commit/e268d7c695cfa594e6d41def17c3b116ad2bf329), [`9e0de09`](https://github.com/servicetitan/hammer/commit/9e0de09c0bab4d7467f8a2fece58c3eb458d9775), [`c34722b`](https://github.com/servicetitan/hammer/commit/c34722b486b9e9809142e024d62373b7d8bc5767), [`e268d7c`](https://github.com/servicetitan/hammer/commit/e268d7c695cfa594e6d41def17c3b116ad2bf329)]:
  - @servicetitan/hammer-react@1.28.1
  - @servicetitan/hammer-token@2.1.1

## 1.26.0

### Minor Changes

- [#1042](https://github.com/servicetitan/hammer/pull/1042) [`c1b8aec`](https://github.com/servicetitan/hammer/commit/c1b8aecd198c3732187402ce74c5295b8b0b16a1) Thanks [@tounsoo](https://github.com/tounsoo)! - [Menu] Under-the-hood refactoring of Menu to use HTML Popover API

- [#1013](https://github.com/servicetitan/hammer/pull/1013) [`494dc6c`](https://github.com/servicetitan/hammer/commit/494dc6cc272ade28ffc1603b128f0c7367cbb683) Thanks [@ericag1985](https://github.com/ericag1985)! - [Toolbar] Add toolbar component to library

### Patch Changes

- [#1054](https://github.com/servicetitan/hammer/pull/1054) [`ed57d47`](https://github.com/servicetitan/hammer/commit/ed57d47a7119e9ecb582100d3f8c772cabeb2eb0) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Tooltip] Fix error that occurs when .showPopover() is triggered on a removed trigger element

- [#1047](https://github.com/servicetitan/hammer/pull/1047) [`e21a3c0`](https://github.com/servicetitan/hammer/commit/e21a3c080d712a23c58699d03e41393a01f8a8d1) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog] Fix Dialog to update internal focusable elements on mutation to proper trap focus

- [#1063](https://github.com/servicetitan/hammer/pull/1063) [`4202e22`](https://github.com/servicetitan/hammer/commit/4202e223fad1a1cea44b9a1da5bc0a6694d41e9b) Thanks [@tounsoo](https://github.com/tounsoo)! - [Stepper] Fix Stepper onChange type by omitting html div default onChange

- [#1052](https://github.com/servicetitan/hammer/pull/1052) [`475d055`](https://github.com/servicetitan/hammer/commit/475d0557c96948d24d699fe75eef4e3b98333a8b) Thanks [@tounsoo](https://github.com/tounsoo)! - [Dialog] Update Dialog to avoid spanning edge to edge on small screens for non-fullscreen variant

- [`df2ca06`](https://github.com/servicetitan/hammer/commit/df2ca062490417c867794cde3a71868fa1682e13) Thanks [@rgdelato](https://github.com/rgdelato)! - [Popover, Tooltip, Combobox, DateField] Bugfix for `Popover`/`Tooltip` `updatePosition` timing error

- [#1059](https://github.com/servicetitan/hammer/pull/1059) [`6837e19`](https://github.com/servicetitan/hammer/commit/6837e1939390af7643e6cbc6730a9165fb9112f4) Thanks [@rgdelato](https://github.com/rgdelato)! - [Radio] Bugfix for `Radio` cursor on hover

- Updated dependencies [[`ed57d47`](https://github.com/servicetitan/hammer/commit/ed57d47a7119e9ecb582100d3f8c772cabeb2eb0), [`e21a3c0`](https://github.com/servicetitan/hammer/commit/e21a3c080d712a23c58699d03e41393a01f8a8d1), [`c1b8aec`](https://github.com/servicetitan/hammer/commit/c1b8aecd198c3732187402ce74c5295b8b0b16a1), [`494dc6c`](https://github.com/servicetitan/hammer/commit/494dc6cc272ade28ffc1603b128f0c7367cbb683), [`4202e22`](https://github.com/servicetitan/hammer/commit/4202e223fad1a1cea44b9a1da5bc0a6694d41e9b), [`475d055`](https://github.com/servicetitan/hammer/commit/475d0557c96948d24d699fe75eef4e3b98333a8b), [`df2ca06`](https://github.com/servicetitan/hammer/commit/df2ca062490417c867794cde3a71868fa1682e13), [`6837e19`](https://github.com/servicetitan/hammer/commit/6837e1939390af7643e6cbc6730a9165fb9112f4)]:
  - @servicetitan/hammer-react@1.28.0

## 1.25.0

### Minor Changes

- [#973](https://github.com/servicetitan/hammer/pull/973) [`254017e`](https://github.com/servicetitan/hammer/commit/254017e119885123599b7bdb549ef6e9354a5e7b) Thanks [@rgdelato](https://github.com/rgdelato)! - Drop support for Node.js 18.x and below

### Patch Changes

- [#1034](https://github.com/servicetitan/hammer/pull/1034) [`9739cf1`](https://github.com/servicetitan/hammer/commit/9739cf1bf6edc64498f0cbeb2c2b206fe230f6d6) Thanks [@tounsoo](https://github.com/tounsoo)! - [Combobox] Fix Combobox arrow not opening popover and adjust input clear timing when closing

- [#1038](https://github.com/servicetitan/hammer/pull/1038) [`ec06bc2`](https://github.com/servicetitan/hammer/commit/ec06bc24b0835b3b1f6ad005acd65039abf2fd33) Thanks [@rgdelato](https://github.com/rgdelato)! - [Chip] Add event parameter to `Chip` `onClick` prop

- [#1045](https://github.com/servicetitan/hammer/pull/1045) [`4d9bc0b`](https://github.com/servicetitan/hammer/commit/4d9bc0bc3d2863cc1bcb61b0545a1b346f5c50b7) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Toaster] Fix issue where escape key unexpectedly moved focus after interacting with toasts

- [#1037](https://github.com/servicetitan/hammer/pull/1037) [`b0e6f84`](https://github.com/servicetitan/hammer/commit/b0e6f840d6add5f88501b88eff00f2e4afb5145e) Thanks [@ericag1985](https://github.com/ericag1985)! - [Button] fix disabled hover style application

- [#1039](https://github.com/servicetitan/hammer/pull/1039) [`cb8bd4a`](https://github.com/servicetitan/hammer/commit/cb8bd4aa8048af5cadba314ce4935d77c2bb9d59) Thanks [@rgdelato](https://github.com/rgdelato)! - [Combobox] Bugfix for `Combobox.SelectTrigger` throwing error on `ref` not applied

- [#1048](https://github.com/servicetitan/hammer/pull/1048) [`30d016e`](https://github.com/servicetitan/hammer/commit/30d016e7af04749ebc6220ac0d389f22b37cb828) Thanks [@rgdelato](https://github.com/rgdelato)! - [Layout] Bugfix for `Layout` `xs={4}` overriding `sm` breakpoints

- Updated dependencies [[`9739cf1`](https://github.com/servicetitan/hammer/commit/9739cf1bf6edc64498f0cbeb2c2b206fe230f6d6), [`ec06bc2`](https://github.com/servicetitan/hammer/commit/ec06bc24b0835b3b1f6ad005acd65039abf2fd33), [`4d9bc0b`](https://github.com/servicetitan/hammer/commit/4d9bc0bc3d2863cc1bcb61b0545a1b346f5c50b7), [`b0e6f84`](https://github.com/servicetitan/hammer/commit/b0e6f840d6add5f88501b88eff00f2e4afb5145e), [`cb8bd4a`](https://github.com/servicetitan/hammer/commit/cb8bd4aa8048af5cadba314ce4935d77c2bb9d59), [`254017e`](https://github.com/servicetitan/hammer/commit/254017e119885123599b7bdb549ef6e9354a5e7b)]:
  - @servicetitan/hammer-react@1.27.0
  - @servicetitan/hammer-icon@1.1.0
  - @servicetitan/hammer-token@2.1.0

## 1.24.0

### Minor Changes

- [#1031](https://github.com/servicetitan/hammer/pull/1031) [`e90d0e4`](https://github.com/servicetitan/hammer/commit/e90d0e4e427aab6fb41b6e831afeba2663cd3de1) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Icon] Add View Kanban (filled & outline) icons

## 1.23.1

### Patch Changes

- [#980](https://github.com/servicetitan/hammer/pull/980) [`8d42dbe`](https://github.com/servicetitan/hammer/commit/8d42dbe24f8b66692efeb1190e984a90660ae383) Thanks [@rgdelato](https://github.com/rgdelato)! - [Textarea] Bugfix for `Textarea` erroring during SSR

- [#1025](https://github.com/servicetitan/hammer/pull/1025) [`3489b4b`](https://github.com/servicetitan/hammer/commit/3489b4baf59081b1c0a84947e3fd22f13f669b6f) Thanks [@rgdelato](https://github.com/rgdelato)! - [Divider, Overflow, SegmentedControl, Layout, Page] Bugfix for width in non-Webkit browsers (such as Firefox)

- [#1029](https://github.com/servicetitan/hammer/pull/1029) [`240b47f`](https://github.com/servicetitan/hammer/commit/240b47fb2d9e755baf93ff4501de3909cfe3b0ed) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover] Fix modal Popover closing when tabbing back to trigger

- Updated dependencies [[`8d42dbe`](https://github.com/servicetitan/hammer/commit/8d42dbe24f8b66692efeb1190e984a90660ae383), [`3489b4b`](https://github.com/servicetitan/hammer/commit/3489b4baf59081b1c0a84947e3fd22f13f669b6f), [`240b47f`](https://github.com/servicetitan/hammer/commit/240b47fb2d9e755baf93ff4501de3909cfe3b0ed)]:
  - @servicetitan/hammer-react@1.26.1

## 1.23.0

### Minor Changes

- [#1016](https://github.com/servicetitan/hammer/pull/1016) [`2c39aae`](https://github.com/servicetitan/hammer/commit/2c39aae8bbfde0b1b79e232679db14645d0e5c63) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Combobox, Popover] add `minPopoverHeight` prop to `Combobox`, tweak `Popover` styles

- [#1006](https://github.com/servicetitan/hammer/pull/1006) [`8302987`](https://github.com/servicetitan/hammer/commit/830298712a40716e7bba2693f24807dd5c109f3f) Thanks [@tounsoo](https://github.com/tounsoo)! - [Tooltip, Label] Under-the-hood refactoring of Tooltip to use HTML Popover API

- [#983](https://github.com/servicetitan/hammer/pull/983) [`6d1e8fd`](https://github.com/servicetitan/hammer/commit/6d1e8fd8cff9fccb78da00cfca5fef62da7c14d8) Thanks [@tounsoo](https://github.com/tounsoo)! - [Popover, Combobox, DateField] Under-the-hood refactoring of Popover to use HTML Popover API

### Patch Changes

- [#1022](https://github.com/servicetitan/hammer/pull/1022) [`9ea51f9`](https://github.com/servicetitan/hammer/commit/9ea51f9bee1568e4256f7f33f87d62a4ca254eba) Thanks [@rgdelato](https://github.com/rgdelato)! - [CSS Utils] Wrap duplicated CSS util classes in `@layer application`

- [#1021](https://github.com/servicetitan/hammer/pull/1021) [`d19cdd5`](https://github.com/servicetitan/hammer/commit/d19cdd5fa10ef87baf3e28145bc9e759970f08fe) Thanks [@rgdelato](https://github.com/rgdelato)! - [Flex, Grid, Layout] Bugfix for `useBreakpoint` responsive width calculation

- Updated dependencies [[`2c39aae`](https://github.com/servicetitan/hammer/commit/2c39aae8bbfde0b1b79e232679db14645d0e5c63), [`8302987`](https://github.com/servicetitan/hammer/commit/830298712a40716e7bba2693f24807dd5c109f3f), [`9ea51f9`](https://github.com/servicetitan/hammer/commit/9ea51f9bee1568e4256f7f33f87d62a4ca254eba), [`d19cdd5`](https://github.com/servicetitan/hammer/commit/d19cdd5fa10ef87baf3e28145bc9e759970f08fe), [`6d1e8fd`](https://github.com/servicetitan/hammer/commit/6d1e8fd8cff9fccb78da00cfca5fef62da7c14d8)]:
  - @servicetitan/hammer-react@1.26.0
  - @servicetitan/hammer-token@2.0.2

## 1.22.0

### Minor Changes

- [#1011](https://github.com/servicetitan/hammer/pull/1011) [`a876dc8`](https://github.com/servicetitan/hammer/commit/a876dc82b485d9e2a2a8c9e103ea3faf5d15edbb) Thanks [@ericag1985](https://github.com/ericag1985)! - [Icon] Add new icons: Roofing, Commercial, Full Procurement Integration, and SalesPro

### Patch Changes

- [#1004](https://github.com/servicetitan/hammer/pull/1004) [`e871e3b`](https://github.com/servicetitan/hammer/commit/e871e3b2d93af27134b8b1216619c2c1b87059bf) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Toaster] Fix Toasters failing to prefer monolith toasters

- [#1000](https://github.com/servicetitan/hammer/pull/1000) [`1e6de04`](https://github.com/servicetitan/hammer/commit/1e6de04ea0101c78f7fe42d9ef9f641bb2802625) Thanks [@ericag1985](https://github.com/ericag1985)! - [Icon] Fix audit log svg missing its viewbox property

- [#999](https://github.com/servicetitan/hammer/pull/999) [`c855167`](https://github.com/servicetitan/hammer/commit/c85516732b0a4b185e2bb38b4f573a48d17ed6c0) Thanks [@tounsoo](https://github.com/tounsoo)! - [SegmentedControl, Stepper, Tab] Revert using view-transition and use `motion` package

- [#990](https://github.com/servicetitan/hammer/pull/990) [`8089e75`](https://github.com/servicetitan/hammer/commit/8089e753970d9485f0ebc7f19f2ef970e1b5d64b) Thanks [@rgdelato](https://github.com/rgdelato)! - [Popover, DateField, Combobox] Fix `Popover` click outside in MFE

- [#1003](https://github.com/servicetitan/hammer/pull/1003) [`dd6af3b`](https://github.com/servicetitan/hammer/commit/dd6af3bff76db508dc8d18cc5c0850b588f2dcbd) Thanks [@ericag1985](https://github.com/ericag1985)! - [Button] Fix ghost button border style

- [#1004](https://github.com/servicetitan/hammer/pull/1004) [`e871e3b`](https://github.com/servicetitan/hammer/commit/e871e3b2d93af27134b8b1216619c2c1b87059bf) Thanks [@AdamLantz](https://github.com/AdamLantz)! - [Toaster] Fix multiple Toasters causing infinite loop and subsequent crash

- Updated dependencies [[`e871e3b`](https://github.com/servicetitan/hammer/commit/e871e3b2d93af27134b8b1216619c2c1b87059bf), [`91685db`](https://github.com/servicetitan/hammer/commit/91685db139ae18bbfd694cd716c7283c85f7d13d), [`c855167`](https://github.com/servicetitan/hammer/commit/c85516732b0a4b185e2bb38b4f573a48d17ed6c0), [`8089e75`](https://github.com/servicetitan/hammer/commit/8089e753970d9485f0ebc7f19f2ef970e1b5d64b), [`dd6af3b`](https://github.com/servicetitan/hammer/commit/dd6af3bff76db508dc8d18cc5c0850b588f2dcbd), [`e871e3b`](https://github.com/servicetitan/hammer/commit/e871e3b2d93af27134b8b1216619c2c1b87059bf)]:
  - @servicetitan/hammer-react@1.25.2

## 1.21.1

### Patch Changes

- [#985](https://github.com/servicetitan/hammer/pull/985) [`60b58f8`](https://github.com/servicetitan/hammer/commit/60b58f8d1c94d7831e363e6040f99867170afa9d) Thanks [@tounsoo](https://github.com/tounsoo)! - Remove animation package dependency and use view-transition API

- Updated dependencies [[`60b58f8`](https://github.com/servicetitan/hammer/commit/60b58f8d1c94d7831e363e6040f99867170afa9d)]:
  - @servicetitan/hammer-react@1.25.1

## 1.21.0

### Minor Changes

- [#946](https://github.com/servicetitan/hammer/pull/946) [`52a79d4`](https://github.com/servicetitan/hammer/commit/52a79d40980c365b92fdbb97e0a6d80a73086e31) Thanks [@rgdelato](https://github.com/rgdelato)! - Add `Combobox.ItemAddNew` child component

### Patch Changes

- [#975](https://github.com/servicetitan/hammer/pull/975) [`3a1da21`](https://github.com/servicetitan/hammer/commit/3a1da216efef83776df372e31b419e5c643854a0) Thanks [@AdamLantz](https://github.com/AdamLantz)! - Fix stacking issues with `Drawer.Header` and `Drawer.Content`
  Fix unnecessary `z-index` of `SegmentedControl`

- [#976](https://github.com/servicetitan/hammer/pull/976) [`c6d2daf`](https://github.com/servicetitan/hammer/commit/c6d2dafb86ca671e97c1860da8c3952f24f6ea2f) Thanks [@ericag1985](https://github.com/ericag1985)! - Fix DateField component to trigger an onBlur event

- [#969](https://github.com/servicetitan/hammer/pull/969) [`28d8e0f`](https://github.com/servicetitan/hammer/commit/28d8e0f4c65327910c32036dd91e7a66c519a620) Thanks [@tounsoo](https://github.com/tounsoo)! - Introduce a way to disable format hint in DateField component

- [#984](https://github.com/servicetitan/hammer/pull/984) [`4beb097`](https://github.com/servicetitan/hammer/commit/4beb0973c3858487f567582e2573add2d904d1a9) Thanks [@ericag1985](https://github.com/ericag1985)! - Fix item highlight location in combobox when there is no search term present but the overlay stays open

- [#986](https://github.com/servicetitan/hammer/pull/986) [`002be29`](https://github.com/servicetitan/hammer/commit/002be293dc4d370f1b3440cde40ec705e1190f02) Thanks [@AdamLantz](https://github.com/AdamLantz)! - Increased padding for sidenav groups inside sidenav collapsibles

- Updated dependencies [[`3a1da21`](https://github.com/servicetitan/hammer/commit/3a1da216efef83776df372e31b419e5c643854a0), [`52a79d4`](https://github.com/servicetitan/hammer/commit/52a79d40980c365b92fdbb97e0a6d80a73086e31), [`c6d2daf`](https://github.com/servicetitan/hammer/commit/c6d2dafb86ca671e97c1860da8c3952f24f6ea2f), [`28d8e0f`](https://github.com/servicetitan/hammer/commit/28d8e0f4c65327910c32036dd91e7a66c519a620), [`4beb097`](https://github.com/servicetitan/hammer/commit/4beb0973c3858487f567582e2573add2d904d1a9), [`002be29`](https://github.com/servicetitan/hammer/commit/002be293dc4d370f1b3440cde40ec705e1190f02)]:
  - @servicetitan/hammer-react@1.25.0

## 1.20.5

### Patch Changes

- [#964](https://github.com/servicetitan/hammer/pull/964) [`96e312c`](https://github.com/servicetitan/hammer/commit/96e312cb2ed236f5c05a5b5fedbd3178e2c91134) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix Overflow creating empty scroll when input type elements are overflowing.

- [#965](https://github.com/servicetitan/hammer/pull/965) [`e092c88`](https://github.com/servicetitan/hammer/commit/e092c88eaf5b7dc75abc9c9a0cf597c945a11632) Thanks [@seanmadi](https://github.com/seanmadi)! - Fix Toast preventing `t` key press due to active element incorrectly identified when in an MFE

- Updated dependencies [[`96e312c`](https://github.com/servicetitan/hammer/commit/96e312cb2ed236f5c05a5b5fedbd3178e2c91134), [`e092c88`](https://github.com/servicetitan/hammer/commit/e092c88eaf5b7dc75abc9c9a0cf597c945a11632)]:
  - @servicetitan/hammer-react@1.24.1

## 1.20.4

### Patch Changes

- [#958](https://github.com/servicetitan/hammer/pull/958) [`1862ba2`](https://github.com/servicetitan/hammer/commit/1862ba21051434116b9211d4aa5b1a4240561f47) Thanks [@rgdelato](https://github.com/rgdelato)! - ANV-2527: Update `useAccessibleColor` light mode to preserve `color` prop

- [#947](https://github.com/servicetitan/hammer/pull/947) [`c0eaae4`](https://github.com/servicetitan/hammer/commit/c0eaae445d5430d579dc032607d646b4fbb40e93) Thanks [@tounsoo](https://github.com/tounsoo)! - Update `Overflow` to have option to use inherited height

  - Fix rendering issue on resize

- [#957](https://github.com/servicetitan/hammer/pull/957) [`850ef84`](https://github.com/servicetitan/hammer/commit/850ef84820a8d29b066dcc91a75512f8a23ac7bf) Thanks [@tounsoo](https://github.com/tounsoo)! - Add additional foreground tokens and update overlay tokens to enhance color accessibility- Update Button, Listbox, Calendar, SideNav, Link to use the new tokens

- [#962](https://github.com/servicetitan/hammer/pull/962) [`897a39c`](https://github.com/servicetitan/hammer/commit/897a39c9a466f767860d3b684f323990829e22bc) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix incorrect with when Layout component is used inside a flexbox

  - Fix incorrect type used in Overflow component

- Updated dependencies [[`1862ba2`](https://github.com/servicetitan/hammer/commit/1862ba21051434116b9211d4aa5b1a4240561f47), [`c0eaae4`](https://github.com/servicetitan/hammer/commit/c0eaae445d5430d579dc032607d646b4fbb40e93), [`850ef84`](https://github.com/servicetitan/hammer/commit/850ef84820a8d29b066dcc91a75512f8a23ac7bf), [`897a39c`](https://github.com/servicetitan/hammer/commit/897a39c9a466f767860d3b684f323990829e22bc)]:
  - @servicetitan/hammer-react@1.24.0
  - @servicetitan/hammer-token@2.0.1

## 1.20.3

### Patch Changes

- [#956](https://github.com/servicetitan/hammer/pull/956) [`babf3c8`](https://github.com/servicetitan/hammer/commit/babf3c81c864044056c0d157ffacc6ab148701d7) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix sticky elements to work properly within PageContent

- [#950](https://github.com/servicetitan/hammer/pull/950) [`1efb6d6`](https://github.com/servicetitan/hammer/commit/1efb6d624cdd743f89df1977b537388def87fcb8) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Enable line breaks and text wrapping in toasts

- [#945](https://github.com/servicetitan/hammer/pull/945) [`87e0760`](https://github.com/servicetitan/hammer/commit/87e0760c3615268e28444d109479d9502bfa0788) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Update `border-radius-*` tokens to use new `hammer-token` versions

- [#850](https://github.com/servicetitan/hammer/pull/850) [`ce46633`](https://github.com/servicetitan/hammer/commit/ce46633aa370ce292c4d2261d98829e5b976ffce) Thanks [@rgdelato](https://github.com/rgdelato)! - Add `gap` flex props to `Combobox.Item` component

- Updated dependencies [[`1efb6d6`](https://github.com/servicetitan/hammer/commit/1efb6d624cdd743f89df1977b537388def87fcb8), [`87e0760`](https://github.com/servicetitan/hammer/commit/87e0760c3615268e28444d109479d9502bfa0788), [`ce46633`](https://github.com/servicetitan/hammer/commit/ce46633aa370ce292c4d2261d98829e5b976ffce), [`87e0760`](https://github.com/servicetitan/hammer/commit/87e0760c3615268e28444d109479d9502bfa0788)]:
  - @servicetitan/hammer-react@1.23.3
  - @servicetitan/hammer-token@2.0.0

## 1.20.2

### Patch Changes

- [#932](https://github.com/servicetitan/hammer/pull/932) [`61c9dde`](https://github.com/servicetitan/hammer/commit/61c9ddede8c10394e175efb49ce7cdac4aedd6b1) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix inconsistant placeholder color between input components

- [#944](https://github.com/servicetitan/hammer/pull/944) [`af80dff`](https://github.com/servicetitan/hammer/commit/af80dff03043f6d7ba180d467072f45d6ee5c77e) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Refactor `Combobox.SelectTrigger` aria label usage

- [#943](https://github.com/servicetitan/hammer/pull/943) [`3ce0920`](https://github.com/servicetitan/hammer/commit/3ce0920ae2e315e4c12ce0ca7e1c3f7efaa4d595) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Minor updates to `EditCard` to align with design

- Updated dependencies [[`61c9dde`](https://github.com/servicetitan/hammer/commit/61c9ddede8c10394e175efb49ce7cdac4aedd6b1), [`af80dff`](https://github.com/servicetitan/hammer/commit/af80dff03043f6d7ba180d467072f45d6ee5c77e), [`3ce0920`](https://github.com/servicetitan/hammer/commit/3ce0920ae2e315e4c12ce0ca7e1c3f7efaa4d595)]:
  - @servicetitan/hammer-react@1.23.2

## 1.20.1

### Patch Changes

- [#938](https://github.com/servicetitan/hammer/pull/938) [`46787fc`](https://github.com/servicetitan/hammer/commit/46787fcf0baca7e1dc56d13e4303a57d67e18209) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Bug fixes for EditCard

- [#940](https://github.com/servicetitan/hammer/pull/940) [`5849aa8`](https://github.com/servicetitan/hammer/commit/5849aa8ce29e0f86cccc92b6ecca921c02145d4d) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Fix implementation of semantic aria labels within Comboboxes

- Updated dependencies [[`46787fc`](https://github.com/servicetitan/hammer/commit/46787fcf0baca7e1dc56d13e4303a57d67e18209), [`5849aa8`](https://github.com/servicetitan/hammer/commit/5849aa8ce29e0f86cccc92b6ecca921c02145d4d)]:
  - @servicetitan/hammer-react@1.23.1

## 1.20.0

### Minor Changes

- [#929](https://github.com/servicetitan/hammer/pull/929) [`54b13b4`](https://github.com/servicetitan/hammer/commit/54b13b4e8740ea535170cbcc848241d38abbfef0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add `disableClearSelection` to `Combobox.Select` (single)

### Patch Changes

- Updated dependencies [[`54b13b4`](https://github.com/servicetitan/hammer/commit/54b13b4e8740ea535170cbcc848241d38abbfef0)]:
  - @servicetitan/hammer-react@1.23.0

## 1.19.0

### Minor Changes

- [#927](https://github.com/servicetitan/hammer/pull/927) [`464e018`](https://github.com/servicetitan/hammer/commit/464e01851f18e6ecbbb86a78668ef6536c43d1c1) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add `offset` prop to `Tooltip`

- [#902](https://github.com/servicetitan/hammer/pull/902) [`5cd5a9c`](https://github.com/servicetitan/hammer/commit/5cd5a9ca572d4462026c8dbb3d7d835eb4b884ef) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - EditCard feature complete

### Patch Changes

- [#923](https://github.com/servicetitan/hammer/pull/923) [`1a6b7c6`](https://github.com/servicetitan/hammer/commit/1a6b7c6e5d99c920231a60ff0a05f266c1335c10) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Fix `DateField` click event target bug in shadow dom

- [#921](https://github.com/servicetitan/hammer/pull/921) [`a783b59`](https://github.com/servicetitan/hammer/commit/a783b5941a9114a009ac307611973f08be039228) Thanks [@tounsoo](https://github.com/tounsoo)! - Update TextField to enable the use of number type (`type="number"`)

- Updated dependencies [[`464e018`](https://github.com/servicetitan/hammer/commit/464e01851f18e6ecbbb86a78668ef6536c43d1c1), [`1a6b7c6`](https://github.com/servicetitan/hammer/commit/1a6b7c6e5d99c920231a60ff0a05f266c1335c10), [`1e113cf`](https://github.com/servicetitan/hammer/commit/1e113cf741c196d13d45b215106f19d85dc72d40), [`5cd5a9c`](https://github.com/servicetitan/hammer/commit/5cd5a9ca572d4462026c8dbb3d7d835eb4b884ef), [`a783b59`](https://github.com/servicetitan/hammer/commit/a783b5941a9114a009ac307611973f08be039228)]:
  - @servicetitan/hammer-react@1.22.0

## 1.18.0

### Minor Changes

- [#906](https://github.com/servicetitan/hammer/pull/906) [`d916a9b`](https://github.com/servicetitan/hammer/commit/d916a9ba54a6bc3fdb69050f303f86ff8e5feae1) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Fix TextField loading state

### Patch Changes

- [#915](https://github.com/servicetitan/hammer/pull/915) [`c3f79b7`](https://github.com/servicetitan/hammer/commit/c3f79b7bf4c75d43c324e6566820758174ac30b1) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Fix closing `DateField` dropdown on click outside in shadow root

- [#910](https://github.com/servicetitan/hammer/pull/910) [`43a2f02`](https://github.com/servicetitan/hammer/commit/43a2f023afdcbd86ed846383292415651c096b08) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix Page content not allowing horizontal scrolling when content overflows and Page height not covering available space when in small screen.

- Updated dependencies [[`c3f79b7`](https://github.com/servicetitan/hammer/commit/c3f79b7bf4c75d43c324e6566820758174ac30b1), [`3246da5`](https://github.com/servicetitan/hammer/commit/3246da57b0b41ad823acf6c45fa4bea0fe8fca84)]:
  - @servicetitan/hammer-react@1.21.1
  - @servicetitan/hammer-token@1.3.6

## 1.17.0

### Minor Changes

- [#907](https://github.com/servicetitan/hammer/pull/907) [`51d7a8f`](https://github.com/servicetitan/hammer/commit/51d7a8f316c498e40de8686450c52772348ff1d1) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Disable next step if `Stepper.NextButton.onClick` returns `false` or `Promise<false>`

- [#899](https://github.com/servicetitan/hammer/pull/899) [`9e745c9`](https://github.com/servicetitan/hammer/commit/9e745c9c330965ac75118ada4a1580c50c968333) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add new Audit Trail icon and implement SVGO optimization in build

- [#898](https://github.com/servicetitan/hammer/pull/898) [`a55799b`](https://github.com/servicetitan/hammer/commit/a55799b271c8df42cf25125240fa75c6e5604741) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add `Stepper.onChange` to pass current step data

### Patch Changes

- [#905](https://github.com/servicetitan/hammer/pull/905) [`f2efd37`](https://github.com/servicetitan/hammer/commit/f2efd3727c9bd11065687e84c71270eb3b75a84c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add `TrackingProvider.optOut` and `AnvilProvider.idTrackingData` to prevent `data-tracking-id` generation

- [#897](https://github.com/servicetitan/hammer/pull/897) [`80ebce6`](https://github.com/servicetitan/hammer/commit/80ebce67e9d235cb3d932313d581463b387fe206) Thanks [@da1z](https://github.com/da1z)! - Fix incorrect tracking ID name in Dialog component

- [#884](https://github.com/servicetitan/hammer/pull/884) [`e998a7a`](https://github.com/servicetitan/hammer/commit/e998a7a00b18a2ee528293fbdc859caaa5fabb92) Thanks [@tounsoo](https://github.com/tounsoo)! - Fix `OverflowText` respecting rows over the actual content height

- [#901](https://github.com/servicetitan/hammer/pull/901) [`2650fb8`](https://github.com/servicetitan/hammer/commit/2650fb831454a06cc9ab818a76c5b45b12555722) Thanks [@rgdelato](https://github.com/rgdelato)! - Remove Avatar functionality that hides image before load

- Updated dependencies [[`e998a7a`](https://github.com/servicetitan/hammer/commit/e998a7a00b18a2ee528293fbdc859caaa5fabb92), [`51d7a8f`](https://github.com/servicetitan/hammer/commit/51d7a8f316c498e40de8686450c52772348ff1d1), [`a55799b`](https://github.com/servicetitan/hammer/commit/a55799b271c8df42cf25125240fa75c6e5604741), [`2650fb8`](https://github.com/servicetitan/hammer/commit/2650fb831454a06cc9ab818a76c5b45b12555722)]:
  - @servicetitan/hammer-react@1.21.0

## 1.16.14

### Patch Changes

- [#892](https://github.com/servicetitan/hammer/pull/892) [`08dbcd5`](https://github.com/servicetitan/hammer/commit/08dbcd5736cc16999f558c89b7d32c3b82a14f33) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Import `@servicetitan/anvil2` package into `@servicetitan/hammer` repository

  - Update `@servicetitan/anvil2` to use `pnpm`
    - Remove `package-lock.json`
    - Update `@servicetitan/hammer-*` dependencies to use `workspace:*` version
  - Update `@servicetitan/anvil2` dependency to use `workspace:*` version in `docs` and `figma-icon-gen`
  - Update root `package.json` `packageManager` entry to latest `pnpm` version
  - Update `vite-plugin-dts` from `3.9.1` to `4.4.0`
  - Update `@types/node` from `18` to `20`
  - Generate new `pnpm-lock.yaml` file

  Update hammer dependencies:

  - @servicetitan/hammer-react@1.20.6
  - @servicetitan/hammer-token@1.3.5
  - @servicetitan/hammer-icon@1.0.3

## 1.16.13

### Patch Changes

- [#310](https://github.com/servicetitan/anvil2/pull/310) [`b83d396`](https://github.com/servicetitan/anvil2/commit/b83d39674a4618a6008811e838e8396bf08fdee8) Thanks [@tounsoo](https://github.com/tounsoo)! - - Fix Sidebar toggle button positioning
  - Merge Page.Content padding with virtual scroll safe area in order to reduce unnecessary space usage

## 1.16.12

### Patch Changes

- [#309](https://github.com/servicetitan/anvil2/pull/309) [`ec30316`](https://github.com/servicetitan/anvil2/commit/ec30316656880cb484caa92e54ee123cf6b3aea2) Thanks [@dependabot](https://github.com/apps/dependabot)! - Update patch and minor dependencies

## 1.16.11

### Patch Changes

- [#308](https://github.com/servicetitan/anvil2/pull/308) [`d90c5c3`](https://github.com/servicetitan/anvil2/commit/d90c5c3e3dd67266303b9f5d5691bc703a549810) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Optionally use crypto to ensure testing environments pass

## 1.16.10

### Patch Changes

- [#291](https://github.com/servicetitan/anvil2/pull/291) [`ce849bc`](https://github.com/servicetitan/anvil2/commit/ce849bc911b381d1989b28fccd2aceebb6c02e80) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Remove React Router dependency

- [#306](https://github.com/servicetitan/anvil2/pull/306) [`c2a9f3a`](https://github.com/servicetitan/anvil2/commit/c2a9f3a09884e2d6381cc90d210d6cf303d2c43b) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Remove the crypto-js dependency

## 1.16.9

### Patch Changes

- [#305](https://github.com/servicetitan/anvil2/pull/305) [`de49dad`](https://github.com/servicetitan/anvil2/commit/de49dad2a2d214297297af09a90d7129b9ef2bb5) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump `@servicetitan/hammer-icon` from `1.0.1` to `1.0.2`
  - 🏠 Internal
    - ANV-2332: Adding `CHANGELOG.md` to `package.json` `files` field [#840](https://github.com/servicetitan/hammer/pull/840) ([@rgdelato](https://github.com/rgdelato))
  - Bump `@servicetitan/hammer-react` from `1.20.1` to `1.20.4`
    - 🐛 Bug Fix
      - ANV-1896: `Avatar` falls back to initials when image doesn't load [#841](https://github.com/servicetitan/hammer/pull/841) ([@rgdelato](https://github.com/rgdelato))
      - ANV-2338: `HammerProvider.themeData` fix [#843](https://github.com/servicetitan/hammer/pull/843) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - 🏠 Internal
      - ANV-2332: Adding `CHANGELOG.md` to `package.json` `files` field [#840](https://github.com/servicetitan/hammer/pull/840) ([@rgdelato](https://github.com/rgdelato))

## 1.16.8

### Patch Changes

- [#297](https://github.com/servicetitan/anvil2/pull/297) [`f56a442`](https://github.com/servicetitan/anvil2/commit/f56a4422d76a41ed82a03b00d24243dd08a009b1) Thanks [@rgdelato](https://github.com/rgdelato)! - - Bump `@servicetitan/hammer-react` from `1.18.10` to `1.20.1`
  - 🚀 Enhancement
    - ANV-2080: Select-only Combobox [#817](https://github.com/servicetitan/hammer/pull/817) ([@rgdelato](https://github.com/rgdelato))
  - 🐛 Bug Fix
    - ANV-2080: Bugfix for `Combobox.Select` exports [#836](https://github.com/servicetitan/hammer/pull/836) ([@rgdelato](https://github.com/rgdelato))
    - ANV-2282: fix Listbox controlled mode not working [#829](https://github.com/servicetitan/hammer/pull/829) ([@tounsoo](https://github.com/tounsoo))
  - 📝 Dependencies
    - Bump the patch-and-minor group with 14 updates [#824](https://github.com/servicetitan/hammer/pull/824) ([@dependabot[bot]](https://github.com/dependabot[bot]))
  - 🏠 Internal
    - ANV-1854: Stepper code coverage to 90% [#820](https://github.com/servicetitan/hammer/pull/820) ([@tounsoo](https://github.com/tounsoo) [@pbuckingham-st](https://github.com/pbuckingham-st))
    - ANV-2265: Optimize backdrop and border color for Drawer and Dialog [#816](https://github.com/servicetitan/hammer/pull/816) ([@tounsoo](https://github.com/tounsoo) [@pbuckingham-st](https://github.com/pbuckingham-st))

## 1.16.7

### Patch Changes

- [#287](https://github.com/servicetitan/anvil2/pull/287) [`3f5c258`](https://github.com/servicetitan/anvil2/commit/3f5c25837020d6901d6a423820124771dbe6d659) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add missing Skeleton export to index file

## 1.16.6

### Patch Changes

- [#285](https://github.com/servicetitan/anvil2/pull/285) [`7f4b8f3`](https://github.com/servicetitan/anvil2/commit/7f4b8f35d5de131a94cf62adf9611ffc676c2a94) Thanks [@rgdelato](https://github.com/rgdelato)! - ANV-2259: Bugfix for hardcoded fill color in latest Global Nav icons

## 1.16.5

### Patch Changes

- [#278](https://github.com/servicetitan/anvil2/pull/278) [`845ab77`](https://github.com/servicetitan/anvil2/commit/845ab7775a1799e35238f9ab0ee0dfd45d273aee) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump `@servicetitan/hammer-react` from `1.18.8` to `1.18.10`

  - 🐛 Bug Fix
    - ANV-1970: Inline Text Fix [#812](https://github.com/servicetitan/hammer/pull/812) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - 📝 Dependencies
    - Bump the patch-and-minor group with 12 updates [#815](https://github.com/servicetitan/hammer/pull/815) ([@dependabot[bot]](https://github.com/dependabot[bot]))

- [#281](https://github.com/servicetitan/anvil2/pull/281) [`f1a0847`](https://github.com/servicetitan/anvil2/commit/f1a08478a92ca510ff2ba87dd013b795cafbe097) Thanks [@rgdelato](https://github.com/rgdelato)! - Adding new icons for Global Nav

## 1.16.4

### Patch Changes

- [#272](https://github.com/servicetitan/anvil2/pull/272) [`9b2980d`](https://github.com/servicetitan/anvil2/commit/9b2980d0ba10073dc011948d232af5dbfbe447b6) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump `@servicetitan/hammer-react` from `1.18.6` to `1.18.8`
  - 📝 Dependencies
    - Bump the patch-and-minor group with 13 updates [#806](https://github.com/servicetitan/hammer/pull/806) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@tounsoo](https://github.com/tounsoo))
    - ANV-2226: Bump `match-sorter` to `8.0.0` [#808](https://github.com/servicetitan/hammer/pull/808) ([@rgdelato](https://github.com/rgdelato))
  - 🐛 Bug Fix
    - ANV-1875: Combobox `maxRows` Fix [#811](https://github.com/servicetitan/hammer/pull/811) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - ANV-1837: fix Combobox clear button and Chips still being interactive while disabled [#807](https://github.com/servicetitan/hammer/pull/807) ([@tounsoo](https://github.com/tounsoo))

## 1.16.3

### Patch Changes

- [#263](https://github.com/servicetitan/anvil2/pull/263) [`6804864`](https://github.com/servicetitan/anvil2/commit/6804864fbd76e1411466689fa1e2a6d8be3d25da) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Optimize icons and fix style issues

## 1.16.2

### Patch Changes

- [#260](https://github.com/servicetitan/anvil2/pull/260) [`bfa8dd1`](https://github.com/servicetitan/anvil2/commit/bfa8dd1bfeff49d2dedea47f94ff893c538ead5d) Thanks [@rgdelato](https://github.com/rgdelato)! - - Bump `@servicetitan/hammer-react` from `1.18.5` to `1.18.6`
  - 🐛 Bug Fix
    - ANV-1953: Add monolith CSS to storybook, create CSS file to temp fix `71.1orion` [#796](https://github.com/servicetitan/hammer/pull/796) ([@rgdelato](https://github.com/rgdelato) [@tounsoo](https://github.com/tounsoo) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - Bump `@servicetitan/hammer-token` from `1.3.3` to `1.3.4`
    - 🐛 Bug Fix
      - ANV-1953: Add monolith CSS to storybook, create CSS file to temp fix `71.1orion` [#796](https://github.com/servicetitan/hammer/pull/796) ([@rgdelato](https://github.com/rgdelato) [@tounsoo](https://github.com/tounsoo) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

## 1.16.1

### Patch Changes

- [#258](https://github.com/servicetitan/anvil2/pull/258) [`9276b81`](https://github.com/servicetitan/anvil2/commit/9276b81779e956792f7d5979338c07a841384436) Thanks [@rgdelato](https://github.com/rgdelato)! - - Bump `@servicetitan/hammer-react` from `1.18.4` to `1.18.5`
  - 📝 Dependencies
    - Bump next from 14.2.0 to 14.2.10 in the npm_and_yarn group [#789](https://github.com/servicetitan/hammer/pull/789) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - 🐛 Bug Fix
    - ANV-2043: Fix missing gap for listbox option when it is in group [#794](https://github.com/servicetitan/hammer/pull/794) ([@tounsoo](https://github.com/tounsoo))
    - ANV-2046 ANV-2060: Overflow bug fixes [#770](https://github.com/servicetitan/hammer/pull/770) ([@tounsoo](https://github.com/tounsoo))
    - ANV-1746: Dialog [A2]: on initial open focus is not trapped inside [#779](https://github.com/servicetitan/hammer/pull/779) ([@pbuckingham-st](https://github.com/pbuckingham-st) [@rgdelato](https://github.com/rgdelato))
    - ANV-1835: Fix Combobox single select items not matching listbox interactive styles [#795](https://github.com/servicetitan/hammer/pull/795) ([@tounsoo](https://github.com/tounsoo) [@rgdelato](https://github.com/rgdelato))
    - ANV-2214: Bugfixes for extra state changes on `Checkbox` click inside `Combobox.Item`, custom `environment` prop, and `Combobox.Item` flex properties [#791](https://github.com/servicetitan/hammer/pull/791) ([@rgdelato](https://github.com/rgdelato))
    - ANV-2222: Fix button compound hover and active overlay with incorrect border radius [#793](https://github.com/servicetitan/hammer/pull/793) ([@tounsoo](https://github.com/tounsoo))
  - 🏠 Internal
    - ANV-2185 & ANV-2186: Fix icon gen plugin and add new icons [#792](https://github.com/servicetitan/hammer/pull/792) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

## 1.16.0

### Minor Changes

- [#257](https://github.com/servicetitan/anvil2/pull/257) [`56ce312`](https://github.com/servicetitan/anvil2/commit/56ce312626c3edddbe161f09e60b5665461079c4) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - New global nav icons added:

  - `gnav_account_active.svg`, `gnav_account_inactive.svg`
  - `gnav_accounting_active.svg`, `gnav_accounting_inactive.svg`
  - `gnav_agreements_active.svg`, `gnav_agreements_inactive.svg`
  - `gnav_calls_active.svg`, `gnav_calls_inactive.svg`
  - `gnav_chat_active.svg`, `gnav_chat_inactive.svg`
  - `gnav_dashboard_active.svg`, `gnav_dashboard_inactive.svg`
  - `gnav_dispatch_active.svg`, `gnav_dispatch_inactive.svg`
  - `gnav_fleet_pro_active.svg`, `gnav_fleet_pro_inactive.svg`
  - `gnav_follow_up_active.svg`, `gnav_follow_up_inactive.svg`
  - `gnav_help_active.svg`, `gnav_help_inactive.svg`
  - `gnav_inventory_active.svg`, `gnav_inventory_inactive.svg`
  - `gnav_marketing_active.svg`, `gnav_marketing_inactive.svg`
  - `gnav_menu_collapse.svg`
  - `gnav_menu_expand.svg`
  - `gnav_plg_active.svg`, `gnav_plg_inactive.svg`
  - `gnav_pos_active.svg`, `gnav_pos_inactive.svg`
  - `gnav_pricebook_active.svg`, `gnav_pricebook_inactive.svg`
  - `gnav_projects_active.svg`, `gnav_projects_inactive.svg`
  - `gnav_reports_active.svg`, `gnav_reports_inactive.svg`
  - `gnav_schedule_active.svg`, `gnav_schedule_inactive.svg`
  - `gnav_settings_active.svg`, `gnav_settings_inactive.svg`
  - `gnav_tasks_active.svg`, `gnav_tasks_inactive.svg`
  - `gnav_titan_advisor_active.svg`, `gnav_titan_advisor_inactive.svg`

- [#256](https://github.com/servicetitan/anvil2/pull/256) [`32d1be0`](https://github.com/servicetitan/anvil2/commit/32d1be0fdeb6676376e00527bd08fd17e757c2b9) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - New standardized icons added:
  - `accounting_integrations.svg`
  - `appointments.svg`
  - `enterprise_hub.svg`
  - `leads.svg`
  - `release_notes.svg`

## 1.15.3

### Patch Changes

- [#253](https://github.com/servicetitan/anvil2/pull/253) [`3ddea9d`](https://github.com/servicetitan/anvil2/commit/3ddea9d09b398d1166f04c739b06fd706fb6c17e) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump `@servicetitan/hammer-token` from `1.3.2` to `1.3.3`
  - 🐛 Bug Fix
    - NOTICK: Add missing primitive tokens and remove `color-scheme` setting in Theme Provider [#790](https://github.com/servicetitan/hammer/pull/790) ([@tounsoo](https://github.com/tounsoo))

## 1.15.2

### Patch Changes

- [#252](https://github.com/servicetitan/anvil2/pull/252) [`75fc7e9`](https://github.com/servicetitan/anvil2/commit/75fc7e946a882014da13d2491f0f5ebc9f9cec02) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump `@servicetitan/hammer-react` from `1.8.3` to `1.8.4`
  - 🐛 Bug Fix
    - NOTICK: Add missing primitive tokens and remove `color-scheme` setting in Theme Provider [#790](https://github.com/servicetitan/hammer/pull/790) ([@tounsoo](https://github.com/tounsoo))

## 1.15.1

### Patch Changes

- [#250](https://github.com/servicetitan/anvil2/pull/250) [`6abc32a`](https://github.com/servicetitan/anvil2/commit/6abc32a930166bef9c7fbe02391570501daa3fa1) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump `@servicetitan/hammer-react` from `1.8.0` to `1.8.3`
  - 🐛 Bug Fix
    - ANV-2090: Toast Shadow DOM update [#786](https://github.com/servicetitan/hammer/pull/786) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - ANV-2216: Fix CSS var not being available in certain conditions, theme tokens to not override each other with different versions values [#776](https://github.com/servicetitan/hammer/pull/776) ([@tounsoo](https://github.com/tounsoo))
    - ANV-2067: Adding `@deprecated` to `Combobox` `onInputValueChange` prop [#766](https://github.com/servicetitan/hammer/pull/766) ([@rgdelato](https://github.com/rgdelato))
    - ANV-1955: Update Date Field input mask to default to the mm/dd/yyyy format [#781](https://github.com/servicetitan/hammer/pull/781) ([@pbuckingham-st](https://github.com/pbuckingham-st))
  - 🏠 Internal
    - ANV-2217: update themeprovider css to be more legible [#788](https://github.com/servicetitan/hammer/pull/788) ([@tounsoo](https://github.com/tounsoo))
  - Bump `@servicetitan/hammer-token` from `1.2.0` to `1.3.2`
    - ✨ New Feature
      - ANV-2021: Add sr-only class to css-utils [#773](https://github.com/servicetitan/hammer/pull/773) ([@tounsoo](https://github.com/tounsoo))
    - 🐛 Bug Fix
      - ANV-2216: Fix CSS var not being available in certain conditions, theme tokens to not override each other with different versions values [#776](https://github.com/servicetitan/hammer/pull/776) ([@tounsoo](https://github.com/tounsoo))

## 1.15.0

### Minor Changes

- [#246](https://github.com/servicetitan/anvil2/pull/246) [`cf2ede5`](https://github.com/servicetitan/anvil2/commit/cf2ede56413282cd35f893a46193acd6b8a36d2a) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - - Bump `@servicetitan/hammer-react` from `1.17.7` to `1.18.0`
  - 🚀 Enhancement
    - ANV-2090: Toast API Compatibility Updates [#775](https://github.com/servicetitan/hammer/pull/775) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - 🐛 Bug Fix
    - ANV-1344: Adding `useMemo` to `useAccessibleColor` hook [#778](https://github.com/servicetitan/hammer/pull/778) ([@rgdelato](https://github.com/rgdelato))

## 1.14.2

### Patch Changes

- [#240](https://github.com/servicetitan/anvil2/pull/240) [`d251ac2`](https://github.com/servicetitan/anvil2/commit/d251ac208e7909a2a67832be4582daa7919534c3) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bugfix: scrollbar removing css to be scoped to only when Page is present

- [#238](https://github.com/servicetitan/anvil2/pull/238) [`3f20c8a`](https://github.com/servicetitan/anvil2/commit/3f20c8a639e99435026a420b5f16f96a8b613512) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump @servicetitan/hammer-react from 1.17.5 to 1.17.7 in the hammer-packages group across 1 directory
  - 🐛 Bug Fix
    - ANV-1344: Refactor `useAccessibleColor` hook [#771](https://github.com/servicetitan/hammer/pull/771) ([@rgdelato](https://github.com/rgdelato))

## 1.14.1

### Patch Changes

- [#235](https://github.com/servicetitan/anvil2/pull/235) [`35d676b`](https://github.com/servicetitan/anvil2/commit/35d676bf071b4aa1900b7446f25abc20a2c4b16e) Thanks [@dependabot](https://github.com/apps/dependabot)! - Bump the patch-and-minor group across 1 directory with 4 updates

## 1.14.0

### Minor Changes

- [#233](https://github.com/servicetitan/anvil2/pull/233) [`7fdbd25`](https://github.com/servicetitan/anvil2/commit/7fdbd251428ce07c73d1d50f488328fde5988125) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - - Bump `@servicetitan/hammer-react` to `1.17.5`
  - 🐛 Bug Fix
    - ANV-2037, ANV-2014, ANV-1867, ANV-1786: Maintain `Combobox` filter state when updating `items` prop and more fixes [#730](https://github.com/servicetitan/hammer/pull/730) ([@rgdelato](https://github.com/rgdelato) [@pbuckingham-st](https://github.com/pbuckingham-st))
    - ANV-1906: Anvil2 SideNav collapsible doesn't show indicator when child is active while collapsed [#762](https://github.com/servicetitan/hammer/pull/762) ([@pbuckingham-st](https://github.com/pbuckingham-st))
    - ANV-1356: Add missing `Skeleton` exports [#761](https://github.com/servicetitan/hammer/pull/761) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

## 1.13.2

### Patch Changes

- [#230](https://github.com/servicetitan/anvil2/pull/230) [`8c3c1f0`](https://github.com/servicetitan/anvil2/commit/8c3c1f07815aa2d99c48e6edb0f880ab3adb5981) Thanks [@dependabot](https://github.com/apps/dependabot)! - Bump the patch-and-minor group across 1 directory with 24 updates

## 1.13.1

### Patch Changes

- [#228](https://github.com/servicetitan/anvil2/pull/228) [`a932841`](https://github.com/servicetitan/anvil2/commit/a932841efd14dcf827e882e1c36aa538dd4f5312) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Add missing exports for Skeleton components

## 1.13.0

### Minor Changes

- [#225](https://github.com/servicetitan/anvil2/pull/225) [`a70e131`](https://github.com/servicetitan/anvil2/commit/a70e1316f49dc13b0bc1ca3cc7951bdd4e2d14d9) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump `@servicetitan/hammer-react` to `1.17.1`
  - ✨ New Feature
    - ANV-1934: Export `Spinner` component (previously internal) [#756](https://github.com/servicetitan/hammer/pull/756) ([@rgdelato](https://github.com/rgdelato) [@tounsoo](https://github.com/tounsoo))
    - ANV-1356: New Skeleton component [#753](https://github.com/servicetitan/hammer/pull/753) ([@tounsoo](https://github.com/tounsoo))
  - 🚀 Enhancement
    - ANV-1760: A1 Toast Compatibility [#735](https://github.com/servicetitan/hammer/pull/735) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - 📝 Dependencies
    - Bump the patch-and-minor group with 14 updates [#757](https://github.com/servicetitan/hammer/pull/757) ([@dependabot[bot]](https://github.com/dependabot[bot]))
  - 🐛 Bug Fix
    - ANV-1795: `SideNavGroup` label style fix [#754](https://github.com/servicetitan/hammer/pull/754) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

### Patch Changes

- [#221](https://github.com/servicetitan/anvil2/pull/221) [`2397db6`](https://github.com/servicetitan/anvil2/commit/2397db6d82c79e09e3d067f57b62941add9bc1bb) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Remove unneeded optional dependencies

## 1.12.3

### Patch Changes

- [#222](https://github.com/servicetitan/anvil2/pull/222) [`a47e221`](https://github.com/servicetitan/anvil2/commit/a47e2211867c3ca96e9cd132a814e54f4222b981) Thanks [@dependabot](https://github.com/apps/dependabot)! - Bump `@servicetitan/hammer-react` from `1.16.2` to `1.16.4` ([Changelog](https://github.com/servicetitan/hammer/blob/master/packages/hammer-react/CHANGELOG.md#v1164-wed-oct-09-2024))
  - 🐛 Bug Fixes
    - ANV-2059: Fix `Menu.Item` not combining `className` prop with internal `className` [#750](https://github.com/servicetitan/hammer/pull/750) ([@tounsoo](https://github.com/tounsoo))
    - ANV-1664: Add missing layout util props [#736](https://github.com/servicetitan/hammer/pull/736) ([@tounsoo](https://github.com/tounsoo))
    - ANV-1987: Bugfix for `Listbox.Option` (and single `Combobox.Item`) not allowing use of full width [#731](https://github.com/servicetitan/hammer/pull/731) ([@rgdelato](https://github.com/rgdelato))
  - 📝 Dependencies
    - Bump the patch-and-minor group across 1 directory with 20 updates [#743](https://github.com/servicetitan/hammer/pull/743) ([@dependabot[bot]](https://github.com/dependabot[bot]))

## 1.12.2

### Patch Changes

- [#216](https://github.com/servicetitan/anvil2/pull/216) [`7f39237`](https://github.com/servicetitan/anvil2/commit/7f39237f18855ac8ad1a74d3e46c807ca4c9cb62) Thanks [@bugron](https://github.com/bugron)! - Bugfix for Button tracking ID data attribute

## 1.12.1

### Patch Changes

- [#214](https://github.com/servicetitan/anvil2/pull/214) [`8d951f7`](https://github.com/servicetitan/anvil2/commit/8d951f720766ae90e722e1ca1c7c3c8630d6058b) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Update hammer-react

## 1.12.0

### Minor Changes

- [#208](https://github.com/servicetitan/anvil2/pull/208) [`0963649`](https://github.com/servicetitan/anvil2/commit/0963649f1ca71ec3038630a2342dec7350906e7c) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - - Bump `@servicetitan/hammer-react` to `1.15.0`

  - ✨ New Feature

    - ANV-1675: Breadcrumbs components [#713](https://github.com/servicetitan/hammer/pull/713) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

  - 🐛 Bug Fix

    - ANV-1860: Bugfix for TextField input missing `maxLength` [#722](https://github.com/servicetitan/hammer/pull/722) ([@rgdelato](https://github.com/rgdelato))
    - ANV-1886: OverflowText shows expand button even if it isn't overflowing [#715](https://github.com/servicetitan/hammer/pull/715) ([@pbuckingham-st](https://github.com/pbuckingham-st))

  - ANV-1675: Export new Breadcrumbs and Breadcrumbs.Link components

## 1.11.1

### Patch Changes

- [#206](https://github.com/servicetitan/anvil2/pull/206) [`6b1a534`](https://github.com/servicetitan/anvil2/commit/6b1a5348f36d4da2fb1d2f41ac841a0c9715bc49) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Fixes an issue resulting in a circular reference error.

## 1.11.0

### Minor Changes

- [#204](https://github.com/servicetitan/anvil2/pull/204) [`8cd6fb7`](https://github.com/servicetitan/anvil2/commit/8cd6fb7d1676b0e93a7741799a019ef5b2c54ca7) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump `@servicetitan/hammer-react` to `1.14.0`
  - @servicetitan/hammer-react@1.14.0
    - 🚀 Enhancement
      - ANV-1884: Feature to disabled dates by day of week in Calendar [#702](https://github.com/servicetitan/hammer/pull/702) ([@tounsoo](https://github.com/tounsoo))
    - 📝 Dependencies
      - Bump the patch-and-minor group across 1 directory with 33 updates [#708](https://github.com/servicetitan/hammer/pull/708) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@pbuckingham-st](https://github.com/pbuckingham-st))
    - 🐛 Bug Fix
      - ANV-1990: Progress Bar color variable defaults [#714](https://github.com/servicetitan/hammer/pull/714) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
      - ANV-1931: Divider not able to be used as children for Details.Summary [#699](https://github.com/servicetitan/hammer/pull/699) ([@tounsoo](https://github.com/tounsoo))
      - ANV-1880: fix Overflow cutting off focus ring [#711](https://github.com/servicetitan/hammer/pull/711) ([@tounsoo](https://github.com/tounsoo))
      - ANV-1882: Adding `description` to `Radio` and `Checkbox` components [#704](https://github.com/servicetitan/hammer/pull/704) ([@rgdelato](https://github.com/rgdelato))
    - 🏠 Internal
      - ANV-1791: Increase code coverage of SegmentedControl to 90% [#716](https://github.com/servicetitan/hammer/pull/716) ([@tounsoo](https://github.com/tounsoo))
      - ANV-1855: Increase code coverage to 90% on Tooltip code [#709](https://github.com/servicetitan/hammer/pull/709) ([@pbuckingham-st](https://github.com/pbuckingham-st))
  - @servicetitan/hammer-react@1.13.1
    - 🐛 Bug Fix
      - ANV-1895: Progress Bar to show completed styles when value and max are equal number with different types [#701](https://github.com/servicetitan/hammer/pull/701) ([@tounsoo](https://github.com/tounsoo))
  - @servicetitan/hammer-react@1.13.0
    - 🚀 Enhancement
      - ANV-1918: Menu to have better fallback placement and to add manual control of placement [#703](https://github.com/servicetitan/hammer/pull/703) ([@tounsoo](https://github.com/tounsoo))
    - 📝 Documentation
      - ANV-1904: Bump docs site Anvil2 version [#697](https://github.com/servicetitan/hammer/pull/697) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

### Patch Changes

- [#203](https://github.com/servicetitan/anvil2/pull/203) [`1b1e9cd`](https://github.com/servicetitan/anvil2/commit/1b1e9cd9284fe0d8806551b63d438bcecb6041ed) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Prevent `Page.className` from overriding internal `className`

## 1.10.3

### Patch Changes

- [#160](https://github.com/servicetitan/anvil2/pull/160) [`acdba45`](https://github.com/servicetitan/anvil2/commit/acdba45c160ff90c60409a0ff18a4a1d5bab3f94) Thanks [@rgdelato](https://github.com/rgdelato)! - Add passthrough for hammer-token files

- [#201](https://github.com/servicetitan/anvil2/pull/201) [`7d9b1d7`](https://github.com/servicetitan/anvil2/commit/7d9b1d7e9875700ccbe548787c4b40973902c305) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Add OptionGroup to Listbox object.

## 1.10.2

### Patch Changes

- [#198](https://github.com/servicetitan/anvil2/pull/198) [`62a213b`](https://github.com/servicetitan/anvil2/commit/62a213b16b0f05c7b8a636138dcb540df02354b1) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Remove accidental prefix from custom icon (Titan Intelligence)

## 1.10.1

### Patch Changes

- [#197](https://github.com/servicetitan/anvil2/pull/197) [`30a0929`](https://github.com/servicetitan/anvil2/commit/30a092979c6491efed305a67754252e6f833da50) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Add main to package.json to fix a build issue on specific machines.

## 1.10.0

### Minor Changes

- [#195](https://github.com/servicetitan/anvil2/pull/195) [`c17851d`](https://github.com/servicetitan/anvil2/commit/c17851dc17c361f3a5a856fe2deee244d0d0a742) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Bump `@servicetitan/hammer-react` to `1.12.0`
  - ANV-1905: Fix Overflow truncate height bug [#689](https://github.com/servicetitan/hammer/pull/689) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - ANV-1833: listbox option background not changing on hover [#664](https://github.com/servicetitan/hammer/pull/664) ([@tounsoo](https://github.com/tounsoo))
  - ANV-1870: `svg` prop to be required in Icon component [#691](https://github.com/servicetitan/hammer/pull/691) ([@tounsoo](https://github.com/tounsoo))
  - ANV-1869: deprecate onOpen and add onOpenChange [#690](https://github.com/servicetitan/hammer/pull/690) ([@tounsoo](https://github.com/tounsoo))

## 1.9.1

### Patch Changes

- [#193](https://github.com/servicetitan/anvil2/pull/193) [`724ccc4`](https://github.com/servicetitan/anvil2/commit/724ccc4bbe86d7daf526db87462d19e82d01a0de) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Fix a bug that breaks on the TC build process

## 1.9.0

### Minor Changes

- [#191](https://github.com/servicetitan/anvil2/pull/191) [`2fe8b1a`](https://github.com/servicetitan/anvil2/commit/2fe8b1a50ac5bfc8a5578a4981bef1e789d13456) Thanks [@jpex](https://github.com/jpex)! - Adds the Titan Intelligence (TI) Icon

### Patch Changes

- [#188](https://github.com/servicetitan/anvil2/pull/188) [`67ac2a6`](https://github.com/servicetitan/anvil2/commit/67ac2a6516f2e111f348ca160c10f008671182ca) Thanks [@dependabot](https://github.com/apps/dependabot)! - Bump patch and minor dependencies.

## 1.8.2

### Patch Changes

- [#190](https://github.com/servicetitan/anvil2/pull/190) [`48bd439`](https://github.com/servicetitan/anvil2/commit/48bd4393a49dc7f3967dcb92cf5c0a4b4ba4be33) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Surface package.json for consumers

## 1.8.1

### Patch Changes

- [#189](https://github.com/servicetitan/anvil2/pull/189) [`3eb6781`](https://github.com/servicetitan/anvil2/commit/3eb6781c5b168941aadb6c321c558d9b1673f211) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Fixed a bug where the published package was missing the dist directory.

- [#187](https://github.com/servicetitan/anvil2/pull/187) [`c7ee85e`](https://github.com/servicetitan/anvil2/commit/c7ee85eb175120eb7e7a09eed381725d72dd06d5) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Limit import paths using the `package.json#exports` field. Going forward, all imports from this package should use one of the following paths:
  - `"@servicetitan/anvil2";`
  - `"@servicetitan/anvil2/token";`
  - `"@servicetitan/anvil2/assets/*";` (icons, etc.)

## 1.8.0

### Minor Changes

- [#185](https://github.com/servicetitan/anvil2/pull/185) [`82470ab`](https://github.com/servicetitan/anvil2/commit/82470ab32cd628e54a7c5bbc7aa779ed6d8d1793) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Remove minification, remove CJS files, and add tree shaking.

## 1.7.0

### Minor Changes

- [#166](https://github.com/servicetitan/anvil2/pull/166) [`ef29dac`](https://github.com/servicetitan/anvil2/commit/ef29dac0c5ead4d159187b001a97346431d02788) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - New DateField component

### Patch Changes

- [#182](https://github.com/servicetitan/anvil2/pull/182) [`e49bd57`](https://github.com/servicetitan/anvil2/commit/e49bd571c50332daf917b4a4469821101c7f0a4f) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Bump `@servicetitan/hammer-react` to `1.10.3`
  - NOTICK: Fix SearchField not firing onChange when clearing [#661](https://github.com/servicetitan/hammer/pull/661) ([@tounsoo](https://github.com/tounsoo))
  - ANV-1872: Fix regression of DialogFooter not sticking to bottom [#678](https://github.com/servicetitan/hammer/pull/678) ([@tounsoo](https://github.com/tounsoo))
  - ANV-1902: font size 100% is using local size defined from monolith stylesheet [#667](https://github.com/servicetitan/hammer/pull/667) ([@tounsoo](https://github.com/tounsoo))
  - ANV-1796: Fix ComboboxSearchField dead click areas [#676](https://github.com/servicetitan/hammer/pull/676) ([@tounsoo](https://github.com/tounsoo))
  - FEP-1914: Prevent `Dialog.showModal()` from running if dialog is already open [#682](https://github.com/servicetitan/hammer/pull/682) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
  - ANV-1875: Fix Combobox dropdown to scroll when navigating with keyboard arrows [#677](https://github.com/servicetitan/hammer/pull/677) ([@tounsoo](https://github.com/tounsoo))

## 1.6.1

### Patch Changes

- [#180](https://github.com/servicetitan/anvil2/pull/180) [`9794829`](https://github.com/servicetitan/anvil2/commit/9794829884d5eb4e7b30c19db311c5b8170def8c) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Enhance react router support

## 1.6.0

### Minor Changes

- [#177](https://github.com/servicetitan/anvil2/pull/177) [`be8b454`](https://github.com/servicetitan/anvil2/commit/be8b454a4f134ebb1cc0fe7f263a1e0f922f5e71) Thanks [@dependabot](https://github.com/apps/dependabot)! - - Minor and patch dependency bumps
  - Fix SearchField clear button cursor ([hammer-react@4.9.5](https://github.com/servicetitan/hammer/releases/tag/%40servicetitan%2Fhammer-react%401.9.5))
  - Fix icon displaying in Menu button ([hammer-react@4.10.0](https://github.com/servicetitan/hammer/releases/tag/%40servicetitan%2Fhammer-react%401.10.0))

## 1.5.0

### Minor Changes

- [#176](https://github.com/servicetitan/anvil2/pull/176) [`eb33f56`](https://github.com/servicetitan/anvil2/commit/eb33f563c58d008ee51299e795d31ff2955c717d) Thanks [@tounsoo](https://github.com/tounsoo)! - <br />
  - New SearchField component

## 1.4.2

### Patch Changes

- [#171](https://github.com/servicetitan/anvil2/pull/171) [`70c5657`](https://github.com/servicetitan/anvil2/commit/70c5657f6518342603a24f37aaa1018a325e7cd0) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Fix Page styles when no SideBar is added

- [#164](https://github.com/servicetitan/anvil2/pull/164) [`7018dcb`](https://github.com/servicetitan/anvil2/commit/7018dcb83530ca3640793131bd9e0f7d19a62714) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Update Vite and plugins

## 1.4.1

### Patch Changes

- [#168](https://github.com/servicetitan/anvil2/pull/168) [`97f67f6`](https://github.com/servicetitan/anvil2/commit/97f67f68f5ffa3d706945e8ca798fd5096a795cd) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - Bump `@servicetitan/hammer-react` to `1.9.2`
    - Bugfix for Combobox not removing Chips [#647](https://github.com/servicetitan/hammer/pull/647) ([@rgdelato](https://github.com/rgdelato))
    - ANV-1873: Fix custom docs site table text in dark mode [#648](https://github.com/servicetitan/hammer/pull/648) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - Hot Fix: Docs site scrolling broken with `Dialog` examples [#646](https://github.com/servicetitan/hammer/pull/646) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - ANV-1225: Upgrade Vite and plugins [#641](https://github.com/servicetitan/hammer/pull/641) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
    - ANV-1660: Docs site blog [#627](https://github.com/servicetitan/hammer/pull/627) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

## 1.4.0

### Minor Changes

- [#161](https://github.com/servicetitan/anvil2/pull/161) [`a7f598b`](https://github.com/servicetitan/anvil2/commit/a7f598b93e9459ac98dc6ca6dd5bd1f9ee2cd8ab) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />

  - Bump `@servicetitan/hammer-react` to `1.9.0`
    - ANV-1052: DateField and InputMask [#505](https://github.com/servicetitan/hammer/pull/505) ([@pbuckingham-st](https://github.com/pbuckingham-st) [@rgdelato](https://github.com/rgdelato))
    - Bump docs site `@servicetitan/anvil2` dependency to `1.3.4` [#633](https://github.com/servicetitan/hammer/pull/633) ([@rgdelato](https://github.com/rgdelato))
    - Copying `useMergeRefs` function into `hooks` directory [#631](https://github.com/servicetitan/hammer/pull/631) ([@rgdelato](https://github.com/rgdelato))
    - ANV-1718: New SearchField component [#622](https://github.com/servicetitan/hammer/pull/622) ([@tounsoo](https://github.com/tounsoo))
    - Bugfix for missing DateField type exports [#639](https://github.com/servicetitan/hammer/pull/639) ([@rgdelato](https://github.com/rgdelato))
    - Fix test coverage and update mutation benchmarks [#636](https://github.com/servicetitan/hammer/pull/636) ([@pbuckingham-st](https://github.com/pbuckingham-st))

## 1.3.5

### Patch Changes

- [#152](https://github.com/servicetitan/anvil2/pull/152) [`01060a8`](https://github.com/servicetitan/anvil2/commit/01060a894456c4095fd333cd48d815b2fd7102ce) Thanks [@tounsoo](https://github.com/tounsoo)! - - Add missing PortalProvider to index.ts

## 1.3.4

### Patch Changes

- [#159](https://github.com/servicetitan/anvil2/pull/159) [`c63d987`](https://github.com/servicetitan/anvil2/commit/c63d9870e6b5c76e427144113ac192200b93fc00) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - Updating `hammer-react` to `1.7.3`
  - Importing `hammer-react` hooks and functions from `dist` directory
  - Externalizing `react-router` and `react-router-dom` in the vite build

## 1.3.3

### Patch Changes

- [#155](https://github.com/servicetitan/anvil2/pull/155) [`16c8f70`](https://github.com/servicetitan/anvil2/commit/16c8f70ada69608a228f5514b4e8f57b5e5be7c0) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - Bump `@servicetitan/hammer-react` to `1.7.2`
  - Bump `@servicetitan/hammer-token` to `1.2.0`
  - Combobox bugfixes [#620](https://github.com/servicetitan/hammer/pull/620) ([@rgdelato](https://github.com/rgdelato))
  - ANV-1643: Update fillAvailableHeight and add maxHeight [#604](https://github.com/servicetitan/hammer/pull/604) ([@tounsoo](https://github.com/tounsoo))
  - Popover: Add fitScreen prop [#626](https://github.com/servicetitan/hammer/pull/626) ([@tounsoo](https://github.com/tounsoo))

## 1.3.2

### Patch Changes

- [#154](https://github.com/servicetitan/anvil2/pull/154) [`94762e9`](https://github.com/servicetitan/anvil2/commit/94762e918d5d61d445c4134a4778045cf980f4b9) Thanks [@tounsoo](https://github.com/tounsoo)! - - Wrapped all data items that can be ReactElement with childrenToString()
  - Added useTrackingId to SegmentedControl component

## 1.3.1

### Patch Changes

- [#153](https://github.com/servicetitan/anvil2/pull/153) [`4f807d6`](https://github.com/servicetitan/anvil2/commit/4f807d696ae6dee13ba689118d1bf3a30698cbb7) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump @servicetitan/hammer-react@1.7.1

## 1.3.0

### Minor Changes

- [#150](https://github.com/servicetitan/anvil2/pull/150) [`82d346f`](https://github.com/servicetitan/anvil2/commit/82d346ff008d949bbcbbad35e9b1183648e454b8) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump @servicetitan/hammer-react@1.7.0
  - Added PortalProvider

## 1.2.8

### Patch Changes

- [#147](https://github.com/servicetitan/anvil2/pull/147) [`95b8095`](https://github.com/servicetitan/anvil2/commit/95b8095892993ebb6d56103ad98c6d41abb46552) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - Bump `@servicetitan/hammer-react` to `1.5.0`
  - ANV-1435: Add new `SegmentedControl` component as Beta
  - Bugfix for `Popover` components (`Combobox`, `Menu`, etc) inside of `Dialog`

## 1.2.7

### Patch Changes

- [#145](https://github.com/servicetitan/anvil2/pull/145) [`993feff`](https://github.com/servicetitan/anvil2/commit/993feffff6b5a22a136c2532c9dd88323c2ca006) Thanks [@rgdelato](https://github.com/rgdelato)! - <br />
  - Remove `forwardRef` from `Popover`
  - Bump `@servicetitan/hammer-react` to `1.4.1`

## 1.2.6

### Patch Changes

- [#140](https://github.com/servicetitan/anvil2/pull/140) [`c561053`](https://github.com/servicetitan/anvil2/commit/c561053a579916ce9d203e580c8deabbeb6f50d3) Thanks [@rgdelato](https://github.com/rgdelato)! - Update package.json to remove @svgr/core from dependencies

- [#142](https://github.com/servicetitan/anvil2/pull/142) [`54175c7`](https://github.com/servicetitan/anvil2/commit/54175c767465beedd2b70aacdbdffc9cba651a23) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - See https://github.com/servicetitan/hammer/releases/tag/%40servicetitan%2Fhammer-react%401.3.2

## 1.2.5

### Patch Changes

- [#139](https://github.com/servicetitan/anvil2/pull/139) [`65e380c`](https://github.com/servicetitan/anvil2/commit/65e380c8b1a1092f577ae997313069a53fe8b8fb) Thanks [@pbuckingham-st](https://github.com/pbuckingham-st)! - Added viewbox to icons

## 1.2.4

### Patch Changes

- [#133](https://github.com/servicetitan/anvil2/pull/133) [`37a21be`](https://github.com/servicetitan/anvil2/commit/37a21be6307f2bce80c20e4e849aa71b1b80a1d3) Thanks [@tounsoo](https://github.com/tounsoo)! - - Added a function to update window scroll position when virtual scrollbar scroll changes
  - Added a blocker to stop update of each other while one is in use

## 1.2.3

### Patch Changes

- [#136](https://github.com/servicetitan/anvil2/pull/136) [`3431bc0`](https://github.com/servicetitan/anvil2/commit/3431bc0c8948ece936b1b18e258f0a1d4371ef01) Thanks [@dependabot](https://github.com/apps/dependabot)! - <br/>

  - Update patch and minor dependencies (dependabot)
  - Update `Overflow.rows` prop based on https://github.com/servicetitan/hammer/pull/563

- [#137](https://github.com/servicetitan/anvil2/pull/137) [`8c07fa7`](https://github.com/servicetitan/anvil2/commit/8c07fa751fc69453695f1faa5b644c7495c2d9cf) Thanks [@rgdelato](https://github.com/rgdelato)! - Bump @servicetitan/hammer-react to 1.3.1

## 1.2.2

### Patch Changes

- [#129](https://github.com/servicetitan/anvil2/pull/129) [`25ad234`](https://github.com/servicetitan/anvil2/commit/25ad234e204c2fa66c92112710892da107e0a71c) Thanks [@rgdelato](https://github.com/rgdelato)! - Bugfix for using SideNavLink outside of react-router

## 1.2.1

### Patch Changes

- [#132](https://github.com/servicetitan/anvil2/pull/132) [`be1fd40`](https://github.com/servicetitan/anvil2/commit/be1fd40a85348e37fe1671e17915dede9992cdc5) Thanks [@dependabot](https://github.com/apps/dependabot)! - [dependabot] patch and minor version bumps

## 1.2.0

### Minor Changes

- [#116](https://github.com/servicetitan/anvil2/pull/116) [`83182ad`](https://github.com/servicetitan/anvil2/commit/83182ad6eca0acb0b64cb220f98576566c696ece) Thanks [@tounsoo](https://github.com/tounsoo)! - - Added responsiveness to Page Sidebar
  - Fixed scrollbar not showing on Page Content in chrome
  - Fixed `--offset` not working as expected

### Patch Changes

- [#130](https://github.com/servicetitan/anvil2/pull/130) [`59c1e5d`](https://github.com/servicetitan/anvil2/commit/59c1e5d884c3ffa3897767d1d3a5effaa408ffce) Thanks [@tounsoo](https://github.com/tounsoo)! - - Bump: hammer-react@1.1.3, hammer-icon@1.0.1, hammer-token@1.1.2
  - Replace getLabelFromChildren with childrenToString function from Hammer

## 1.1.2

### Patch Changes

- [#127](https://github.com/servicetitan/anvil2/pull/127) [`ef899d6`](https://github.com/servicetitan/anvil2/commit/ef899d651bdb4b12fed3d833cb54d068163eda38) Thanks [@dependabot](https://github.com/apps/dependabot)! - [dependabot] patch and minor version bumps

- [#124](https://github.com/servicetitan/anvil2/pull/124) [`ac9a779`](https://github.com/servicetitan/anvil2/commit/ac9a7797d300a1e373a9eeb6fb093937299a14fb) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - Fix default size of Local Settings icon

- [#122](https://github.com/servicetitan/anvil2/pull/122) [`57f824a`](https://github.com/servicetitan/anvil2/commit/57f824a1efadc079a991b2c28c89edf1e8e277b2) Thanks [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)! - <br />

  - Bump `hammer-react` to `1.1.0`
  - Bump `hammer-token` to `1.1.0`
  - Add `commander` to `devDependencies`
  - Use `hammer-token` CLI tool to generate CSS Utils (no external changes)

- [#126](https://github.com/servicetitan/anvil2/pull/126) [`ec3d88c`](https://github.com/servicetitan/anvil2/commit/ec3d88c0eebeb98cdf1ff5446a16ab0adcf25878) Thanks [@tounsoo](https://github.com/tounsoo)! - - bump @servcietitan/hammer-react@1.1.2
  - export types from hammer-react

## v1.1.1 (Wed Jul 10 2024)

#### 📝 Dependencies

- Bump the patch-and-minor group with 12 updates [#117](https://github.com/servicetitan/anvil2/pull/117) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🐛 Bug Fix

- ANV-1637: Fix circular structure issue with useTrackingId on SB [#118](https://github.com/servicetitan/anvil2/pull/118) ([@tounsoo](https://github.com/tounsoo))

#### 🏠 Internal

- Chore: add dependabot label for weekly dependabot action [#121](https://github.com/servicetitan/anvil2/pull/121) ([@tounsoo](https://github.com/tounsoo))
- Add dependabot label for dependabot PRs [#119](https://github.com/servicetitan/anvil2/pull/119) ([@tounsoo](https://github.com/tounsoo))
- ANV-1264: Creating index.ts files for icons [#113](https://github.com/servicetitan/anvil2/pull/113) ([@rgdelato](https://github.com/rgdelato))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v1.1.0 (Tue Jul 02 2024)

#### 🚀 Enhancement

- ANV-1398: Implement FullStory Tagging Solution [#105](https://github.com/servicetitan/anvil2/pull/105) ([@tounsoo](https://github.com/tounsoo))

#### 📝 Dependencies

- Bump '@servicetitan/hammer-react' to 1.0.8 [#115](https://github.com/servicetitan/anvil2/pull/115) ([@rgdelato](https://github.com/rgdelato))
- Bump the patch-and-minor group with 12 updates [#111](https://github.com/servicetitan/anvil2/pull/111) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Bump the patch-and-minor group across 1 directory with 27 updates [#104](https://github.com/servicetitan/anvil2/pull/104) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🐛 Bug Fix

- ANV-1621: Fix typo in SideNav local storage key [#112](https://github.com/servicetitan/anvil2/pull/112) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Export HammerProviderContext [#110](https://github.com/servicetitan/anvil2/pull/110) ([@rgdelato](https://github.com/rgdelato) [@tounsoo](https://github.com/tounsoo))

#### 🏠 Internal

- Adding GitHub action to run the actual build in PRs [#114](https://github.com/servicetitan/anvil2/pull/114) ([@rgdelato](https://github.com/rgdelato))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v1.0.2 (Wed Jun 26 2024)

#### 🐛 Bug Fix

- ANV-963: Add missing `Layout` export [#107](https://github.com/servicetitan/anvil2/pull/107) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- ANV-975: Add Final Panel [#102](https://github.com/servicetitan/anvil2/pull/102) ([@pbuckingham-st](https://github.com/pbuckingham-st) [@rgdelato](https://github.com/rgdelato))

#### Authors: 3

- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v1.0.1 (Tue Jun 25 2024)

#### 📝 Dependencies

- Bump hammer-react to 1.0.5 [#103](https://github.com/servicetitan/anvil2/pull/103) ([@rgdelato](https://github.com/rgdelato))
- Bump @react-hook/resize-observer from 1.2.6 to 2.0.1 [#87](https://github.com/servicetitan/anvil2/pull/87) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@tounsoo](https://github.com/tounsoo))

#### ✨ New Asset

- ANV-1470: icons added [#93](https://github.com/servicetitan/anvil2/pull/93) ([@pbuckingham-st](https://github.com/pbuckingham-st) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🐛 Bug Fix

- ANV-1579: Fix border-radius for Page sidebar toggle button [#100](https://github.com/servicetitan/anvil2/pull/100) ([@tounsoo](https://github.com/tounsoo))
- ANV-1581: Fix TextField prefix type to string [#99](https://github.com/servicetitan/anvil2/pull/99) ([@tounsoo](https://github.com/tounsoo))

#### 🏠 Internal

- ANV-1470: remove extra icon [#97](https://github.com/servicetitan/anvil2/pull/97) ([@pbuckingham-st](https://github.com/pbuckingham-st))
- ANV-1154: PR Template [#91](https://github.com/servicetitan/anvil2/pull/91) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### Authors: 5

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v1.0.0 (Mon Jun 03 2024)

#### 💥 Breaking Change

- ANV-1341: v1.0.0 release [#89](https://github.com/servicetitan/anvil2/pull/89) ([@rgdelato](https://github.com/rgdelato))

#### ✨ New Feature

- ANV-1253: Hammer hooks and `ThemeProvider` update [#90](https://github.com/servicetitan/anvil2/pull/90) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🚀 Enhancement

- ANV-1488: Update how Layout width and padding works [#83](https://github.com/servicetitan/anvil2/pull/83) ([@tounsoo](https://github.com/tounsoo))
- ANV-1388: Remove `filled` icons [#84](https://github.com/servicetitan/anvil2/pull/84) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 📝 Dependencies

- Bump the patch-and-minor group across 1 directory with 29 updates [#88](https://github.com/servicetitan/anvil2/pull/88) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@tounsoo](https://github.com/tounsoo))

#### ✨ New Asset

- ANV-1392: CSS Utils [#86](https://github.com/servicetitan/anvil2/pull/86) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🐛 Bug Fix

- ANV-1403: SideNavLink bugfix [#85](https://github.com/servicetitan/anvil2/pull/85) ([@rgdelato](https://github.com/rgdelato))

#### ⚠️ Pushed to `master`

- Update README.md ([@rgdelato](https://github.com/rgdelato))
- ANV-1345: Updating README.md ([@rgdelato](https://github.com/rgdelato))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.10.1 (Mon May 27 2024)

#### 🐛 Bug Fix

- Add OptionCell to ListView [#80](https://github.com/servicetitan/anvil2/pull/80) ([@pbuckingham-st](https://github.com/pbuckingham-st))

#### Authors: 1

- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))

---

## v0.10.0 (Thu May 23 2024)

:tada: This release contains work from a new contributor! :tada:

Thank you, Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)), for all your work!

#### ✨ New Feature

- ANV-1287: `Toaster` and `toast` methods in Anvil2 [#76](https://github.com/servicetitan/anvil2/pull/76) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 📝 Dependencies

- Bump the patch-and-minor group across 1 directory with 29 updates [#77](https://github.com/servicetitan/anvil2/pull/77) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### 🐛 Bug Fix

- Dialog.Content component [#79](https://github.com/servicetitan/anvil2/pull/79) ([@rgdelato](https://github.com/rgdelato))
- Icon component [#78](https://github.com/servicetitan/anvil2/pull/78) ([@rgdelato](https://github.com/rgdelato))

#### 🏠 Internal

- ANV-1301: Add @layer for Page and Layout component [#75](https://github.com/servicetitan/anvil2/pull/75) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.9.2 (Fri May 10 2024)

#### 📝 Dependencies

- Bump @servicetitan/hammer-react from 0.18.0 to 0.18.3 [#73](https://github.com/servicetitan/anvil2/pull/73) ([@rgdelato](https://github.com/rgdelato))
- Bump chromatic from 10.8.0 to 11.3.0 [#39](https://github.com/servicetitan/anvil2/pull/39) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@rgdelato](https://github.com/rgdelato) [@pbuckingham-st](https://github.com/pbuckingham-st))
- Bump the patch-and-minor group across 1 directory with 13 updates [#66](https://github.com/servicetitan/anvil2/pull/66) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@pbuckingham-st](https://github.com/pbuckingham-st))

#### 🐛 Bug Fix

- Fix: Sidebar close tooltip z-index issue [#72](https://github.com/servicetitan/anvil2/pull/72) ([@tounsoo](https://github.com/tounsoo))
- Fix: chroamtic dark mode testing [#71](https://github.com/servicetitan/anvil2/pull/71) ([@tounsoo](https://github.com/tounsoo))

#### 🏠 Internal

- ANV-1263: Remove MDX files [#69](https://github.com/servicetitan/anvil2/pull/69) ([@rgdelato](https://github.com/rgdelato))
- ANV-1159: Add breapoint to viewport size in SB [#68](https://github.com/servicetitan/anvil2/pull/68) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 4

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.9.1 (Tue Apr 30 2024)

#### 🐛 Bug Fix

- Bugfix for Combobox export [#67](https://github.com/servicetitan/anvil2/pull/67) ([@rgdelato](https://github.com/rgdelato))

#### Authors: 1

- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.9.0 (Tue Apr 30 2024)

#### 🚀 Enhancement

- Upgrade: Bump hammer-react from 0.14.2 to 0.18.0 [#64](https://github.com/servicetitan/anvil2/pull/64) ([@rgdelato](https://github.com/rgdelato))

#### ⚠️ Pushed to `master`

- Disable release.yml schedule cron ([@rgdelato](https://github.com/rgdelato))

#### 📝 Documentation

- Minor readme fix [#65](https://github.com/servicetitan/anvil2/pull/65) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 2

- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.8.3 (Thu Apr 25 2024)

---

## v0.8.2 (Wed Apr 24 2024)

:tada: This release contains work from new contributors! :tada:

Thanks for all your work!

:heart: Nick Sands ([@sandsng](https://github.com/sandsng))

:heart: Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### ✨ New Asset

- Add st icons [#62](https://github.com/servicetitan/anvil2/pull/62) ([@sandsng](https://github.com/sandsng) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### Authors: 2

- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Nick Sands ([@sandsng](https://github.com/sandsng))

---

## v0.8.1 (Tue Apr 23 2024)

---

## v0.8.0 (Mon Apr 22 2024)

#### ✨ New Feature

- ANV-810: Layout component [#50](https://github.com/servicetitan/anvil2/pull/50) ([@rgdelato](https://github.com/rgdelato) [@tounsoo](https://github.com/tounsoo))

#### 🚀 Enhancement

- Upgrade: Bump hammer-react (and hammer-token) from 0.12.0 to 0.14.2 [#58](https://github.com/servicetitan/anvil2/pull/58) ([@rgdelato](https://github.com/rgdelato))

#### 📝 Dependencies

- Bump tar from 6.2.0 to 6.2.1 [#48](https://github.com/servicetitan/anvil2/pull/48) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@rgdelato](https://github.com/rgdelato))
- Bump the patch-and-minor group across 1 directory with 23 updates [#61](https://github.com/servicetitan/anvil2/pull/61) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@rgdelato](https://github.com/rgdelato))
- Bump chromaui/action from 1 to 11 [#40](https://github.com/servicetitan/anvil2/pull/40) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@rgdelato](https://github.com/rgdelato))

#### ⚠️ Pushed to `master`

- Update package-lock.json ([@rgdelato](https://github.com/rgdelato))

#### 🏠 Internal

- ANV-1206: Update GitHub action for scheduled daily release [#56](https://github.com/servicetitan/anvil2/pull/56) ([@rgdelato](https://github.com/rgdelato))
- fix: story to use proper prop to show value of Texture [#60](https://github.com/servicetitan/anvil2/pull/60) ([@tounsoo](https://github.com/tounsoo))
- ANV-1239: Forge SB cleanup + dark mode toggle [#44](https://github.com/servicetitan/anvil2/pull/44) ([@tounsoo](https://github.com/tounsoo))
- Update: disable snapshot by default for chromatic [#55](https://github.com/servicetitan/anvil2/pull/55) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 3

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.7.0 (Mon Apr 15 2024)

#### ✨ New Feature

- Anvil 2 -> Hammer [#51](https://github.com/servicetitan/anvil2/pull/51) ([@rgdelato](https://github.com/rgdelato))

#### 🐛 Bug Fix

- Rename HammerProvider to AnvilProvider [#54](https://github.com/servicetitan/anvil2/pull/54) ([@pbuckingham-st](https://github.com/pbuckingham-st))

#### Authors: 2

- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.6.0 (Fri Apr 12 2024)

:tada: This release contains work from a new contributor! :tada:

Thank you, Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n)), for all your work!

#### ✨ New Feature

- Anvil 2 -> Hammer [#51](https://github.com/servicetitan/forge/pull/51) ([@rgdelato](https://github.com/rgdelato))
- Update: bump anvil packages and add pass through and stories for them [#45](https://github.com/servicetitan/forge/pull/45) ([@tounsoo](https://github.com/tounsoo))

#### 🚀 Enhancement

- ANV-1162: Adding React Router functionality to SideNavLink [#36](https://github.com/servicetitan/forge/pull/36) ([@rgdelato](https://github.com/rgdelato))

#### 📝 Dependencies

- Bump actions/checkout from 1 to 4 [#41](https://github.com/servicetitan/forge/pull/41) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Bump actions/upload-artifact and actions/download-artifact from 3 to 4 [#38](https://github.com/servicetitan/forge/pull/38) ([@dependabot[bot]](https://github.com/dependabot[bot]) [@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Update: Anvil packages and fix forwardRefs [#31](https://github.com/servicetitan/forge/pull/31) ([@tounsoo](https://github.com/tounsoo))

#### ✨ New Asset

- ANV-1043: Add `local_settings` icon in Forge [#35](https://github.com/servicetitan/forge/pull/35) ([@pbuckingham-st](https://github.com/pbuckingham-st))

#### 🏠 Internal

- ANV-913: Add `dependabot.yml` [#37](https://github.com/servicetitan/forge/pull/37) ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))

#### Authors: 5

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Derek Watson ([@w-a-t-s-o-n](https://github.com/w-a-t-s-o-n))
- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.5.0 (Mon Mar 25 2024)

#### ✨ New Feature

- ANV-1104: New Page component [#29](https://github.com/servicetitan/forge/pull/29) ([@tounsoo](https://github.com/tounsoo))

#### 🚀 Enhancement

- ANV-1128: Remove icon build and just pass through static SVGs [#30](https://github.com/servicetitan/forge/pull/30) ([@rgdelato](https://github.com/rgdelato))

#### 📝 Dependencies

- Bump vite from 4.3.9 to 4.5.2 [#33](https://github.com/servicetitan/forge/pull/33) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### ⚠️ Pushed to `master`

- Update release.yml ([@rgdelato](https://github.com/rgdelato))
- Create .autorc ([@rgdelato](https://github.com/rgdelato))
- Update check-labels.yml ([@rgdelato](https://github.com/rgdelato))

#### 🏠 Internal

- Update: check label for forge [#32](https://github.com/servicetitan/forge/pull/32) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 3

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.4.0 (Thu Mar 07 2024)

#### 🚀 Enhancement

- Upgrade: Bump anvil-react from 0.3.0 to 0.4.0 [#26](https://github.com/servicetitan/forge/pull/26) ([@rgdelato](https://github.com/rgdelato))

#### 🐛 Bug Fix

- Upgrade: Bump auto (and related dependencies) from 11.0.4 to 11.1.1 [#28](https://github.com/servicetitan/forge/pull/28) ([@rgdelato](https://github.com/rgdelato))

#### ⚠️ Pushed to `master`

- Update release.yml ([@rgdelato](https://github.com/rgdelato))

#### 🔩 Dependency Updates

- Bump ip from 2.0.0 to 2.0.1 [#27](https://github.com/servicetitan/forge/pull/27) ([@dependabot[bot]](https://github.com/dependabot[bot]))

#### Authors: 2

- [@dependabot[bot]](https://github.com/dependabot[bot])
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.2.1 (Thu Feb 08 2024)

#### 🐛 Bug Fix

- ANV-1049: Upgrading A2 to v0.3.0 and adding missing components/exports [#25](https://github.com/servicetitan/forge/pull/25) ([@rgdelato](https://github.com/rgdelato))

#### ⚠️ Pushed to `master`

- Bugfix for Announcement component error ([@rgdelato](https://github.com/rgdelato))

#### 🏠 Internal

- Separate build step for icons [#23](https://github.com/servicetitan/forge/pull/23) ([@rgdelato](https://github.com/rgdelato))

#### 🔩 Dependency Updates

- ANV-943: Initial version of @servicetitan/anvil-token passthrough [#24](https://github.com/servicetitan/forge/pull/24) ([@rgdelato](https://github.com/rgdelato))

#### Authors: 1

- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))

---

## v0.0.2 (Wed Jan 10 2024)

#### 🐛 Bug Fix

- Update: anvil-react [#10](https://github.com/servicetitan/forge/pull/10) ([@tounsoo](https://github.com/tounsoo))
- Anvil Forge Icons [#8](https://github.com/servicetitan/forge/pull/8) ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Update release.yml [#9](https://github.com/servicetitan/forge/pull/9) ([@rgdelato](https://github.com/rgdelato))
- Add: library config for forge [#7](https://github.com/servicetitan/forge/pull/7) ([@tounsoo](https://github.com/tounsoo))
- Update: reenable export of localization provider items [#6](https://github.com/servicetitan/forge/pull/6) ([@tounsoo](https://github.com/tounsoo))
- Update: component index file to export all [#5](https://github.com/servicetitan/forge/pull/5) ([@tounsoo](https://github.com/tounsoo))
- Clean export [#4](https://github.com/servicetitan/forge/pull/4) ([@tounsoo](https://github.com/tounsoo))
- ADD: chromatic [#1](https://github.com/servicetitan/forge/pull/1) ([@tounsoo](https://github.com/tounsoo))

#### ⚠️ Pushed to `master`

- Update release.yml ([@rgdelato](https://github.com/rgdelato))
- Update package.json ([@rgdelato](https://github.com/rgdelato))
- Update README.md ([@tounsoo](https://github.com/tounsoo))
- ADD: initial SB and component pass through setup ([@tounsoo](https://github.com/tounsoo))
- first commit ([@tounsoo](https://github.com/tounsoo))

#### 📝 Documentation

- Add: rest of the components that can be added [#3](https://github.com/servicetitan/forge/pull/3) ([@tounsoo](https://github.com/tounsoo))
- Add components from anvil2 part1 [#2](https://github.com/servicetitan/forge/pull/2) ([@tounsoo](https://github.com/tounsoo))

#### Authors: 3

- Ben Ho ([@tounsoo](https://github.com/tounsoo))
- Patrick Buckingham ([@pbuckingham-st](https://github.com/pbuckingham-st))
- Ryan De La Torre ([@rgdelato](https://github.com/rgdelato))
