import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { useTrackingId } from './useTrackingId.js';
import { c as childrenToString } from './childrenToString-Bz9MqbHb-Bz9MqbHb.js';
import { B as Button$1 } from './Button-C-QpfgfF-CRBE7KiD.js';

import './Button2.css';const Button = forwardRef(
  (props, ref) => {
    const data = {
      children: childrenToString(props.children),
      appearance: props.appearance,
      icon: props.icon,
      size: props.size,
      type: props.type
    };
    const trackingId = useTrackingId({
      name: "Button",
      data,
      hasOverride: !!props["data-tracking-id"]
    });
    return /* @__PURE__ */ jsx(Button$1, { ref, "data-tracking-id": trackingId, ...props });
  }
);

export { Button as B };
//# sourceMappingURL=Button-NTFmgcbr.js.map
