import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { C as CalendarNowButton, a as CalendarMonth$1, b as CalendarNextButton, c as CalendarPrevButton, d as CalendarMonthButton$1, e as CalendarYearButton$1, f as Calendar$1 } from './Calendar-Bn00Dnc--DcCNi1xz.js';

const CalendarElement = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(Calendar$1, { ref, ...props });
  }
);
CalendarElement.displayName = "Calendar";
const CalendarNow = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarNowButton, { ref, ...props });
  }
);
CalendarNow.displayName = "Calendar.Now";
const CalendarMonth = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarMonth$1, { ref, ...props });
  }
);
CalendarMonth.displayName = "Calendar.Month";
const CalendarNext = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarNextButton, { ref, ...props });
  }
);
CalendarNext.displayName = "Calendar.Next";
const CalendarPrev = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarPrevButton, { ref, ...props });
  }
);
CalendarPrev.displayName = "Calendar.Prev";
const CalendarMonthButton = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarMonthButton$1, { ref, ...props });
  }
);
CalendarMonthButton.displayName = "Calendar.MonthButton";
const CalendarYearButton = forwardRef(
  (props, ref) => {
    return /* @__PURE__ */ jsx(CalendarYearButton$1, { ref, ...props });
  }
);
CalendarYearButton.displayName = "Calendar.YearButton";
const Calendar = Object.assign(CalendarElement, {
  Now: CalendarNow,
  Month: CalendarMonth,
  Next: CalendarNext,
  Prev: CalendarPrev,
  MonthButton: CalendarMonthButton,
  YearButton: CalendarYearButton
});

export { Calendar as C, CalendarNow as a, CalendarMonth as b, CalendarNext as c, CalendarPrev as d, CalendarMonthButton as e, CalendarYearButton as f };
//# sourceMappingURL=Calendar-B4MO-Uhv.js.map
