import { jsx } from 'react/jsx-runtime';
import { forwardRef } from 'react';
import { c as cx } from './index-tZvMCc77.js';

import './Spinner-DliJVzdW.css';const Spinner$1 = "_Spinner_iev2f_2";
const Inherit = "_Inherit_iev2f_21";
const circle = "_circle_iev2f_24";
const styles = {
	Spinner: Spinner$1,
	Inherit: Inherit,
	circle: circle};

const Spinner = forwardRef(
  (props, ref) => {
    const { className, inherit, ...rest } = props;
    const classNames = cx(styles["Spinner"], className, {
      [styles["Inherit"]]: inherit
    });
    return /* @__PURE__ */ jsx("span", { "data-anv": "spinner", className: classNames, ref, children: /* @__PURE__ */ jsx("span", { className: styles["circle"], ...rest }) });
  }
);
Spinner.displayName = "Spinner";

export { Spinner as S };
//# sourceMappingURL=Spinner-DliJVzdW-BQlZEj4V.js.map
