import { ButtonToggleProps as CoreButtonToggleProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type ButtonToggleProps = CoreButtonToggleProps & DataTrackingId;
export declare const ButtonToggle: import('react').ForwardRefExoticComponent<Omit<import('@servicetitan/hammer-react').ButtonProps, "appearance" | "loading"> & {
    defaultChecked?: boolean;
    checked?: boolean;
    value?: string;
    onChange?: (e: import('react').MouseEvent<HTMLButtonElement> | import('react').KeyboardEvent<HTMLButtonElement>, state: import('@servicetitan/hammer-react/dist/components/Button/ButtonToggle').ButtonToggleState) => void;
} & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
