import { ChipProps as CoreChipProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type ChipProps = CoreChipProps & DataTrackingId;
export declare const Chip: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLSpanElement>, HTMLSpanElement>, "ref"> & Omit<import('@servicetitan/hammer-react').LayoutUtilProps, "flex" | "flexGrow" | "flexShrink" | "flexBasis"> & {
    label: string;
    size?: Extract<import('@servicetitan/hammer-react').Size, "small" | "medium">;
    color?: string;
    onClick?: (e?: import('react').MouseEvent<HTMLSpanElement> | import('react').KeyboardEvent<HTMLSpanElement>) => void;
    onClose?: (e: import('react').MouseEvent<HTMLSpanElement> | import('react').KeyboardEvent<HTMLSpanElement>) => void;
    textWrap?: boolean;
} & DataTrackingId & import('react').RefAttributes<HTMLSpanElement>>;
