import { DetailsProps as CoreDetailsProps, DetailsSummaryProps as CoreDetailsSummaryProps, DetailsContentProps as CoreDetailsContentProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type DetailsProps = CoreDetailsProps;
export type DetailsSummaryProps = CoreDetailsSummaryProps & DataTrackingId;
export type DetailsContentProps = CoreDetailsContentProps;
export declare const DetailsSummary: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
export declare const DetailsContent: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
    height?: string | number;
    maxHeight?: string | number;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const Details: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & {
    expanded?: boolean;
    defaultExpanded?: boolean;
} & import('react').RefAttributes<HTMLDivElement>> & {
    Summary: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
    Content: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & {
        height?: string | number;
        maxHeight?: string | number;
    } & import('react').RefAttributes<HTMLDivElement>>;
};
