import { EditCardProps as CoreEditCardProps, EditCardChange as CoreEditCardChange, EditCardState as CoreEditCardState } from '@servicetitan/hammer-react';
export type EditCardProps = CoreEditCardProps;
export type EditCardChange = CoreEditCardChange;
export type EditCardState = CoreEditCardState;
export declare const EditCard: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & {
    headerText: string | {
        "not started": string;
        "in progress": string;
        error: string;
        complete: string;
    };
    state: CoreEditCardState;
    saveButtonText?: string;
    editButtonText?: string;
    disableEdit?: boolean;
    disableSave?: boolean;
    onStateChange?: (changeType: CoreEditCardChange) => void;
} & import('react').RefAttributes<HTMLDivElement>>;
