import { MenuProps as CoreMenuProps, MenuItemProps as CoreMenuItemProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type MenuProps = CoreMenuProps & DataTrackingId;
export type MenuItemProps = CoreMenuItemProps & DataTrackingId;
export declare const MenuItem: import('react').ForwardRefExoticComponent<{
    icon?: import('@servicetitan/hammer-react').IconProps["svg"];
    label: import('react').ReactNode;
    disabled?: boolean;
} & Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
export declare const Menu: ((props: MenuProps) => import("react/jsx-runtime").JSX.Element) & {
    Item: import('react').ForwardRefExoticComponent<{
        icon?: import('@servicetitan/hammer-react').IconProps["svg"];
        label: import('react').ReactNode;
        disabled?: boolean;
    } & Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref"> & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
};
