import { PopoverProps as CorePopoverProps, PopoverTriggerProps as CorePopoverTriggerProps, PopoverContentProps as CorePopoverContentProps, PopoverCloseProps as CorePopoverCloseProps, PopoverButtonProps as CorePopoverButtonProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type PopoverProps = CorePopoverProps;
export type PopoverTriggerProps = CorePopoverTriggerProps & DataTrackingId;
export type PopoverContentProps = CorePopoverContentProps;
export type PopoverCloseProps = CorePopoverCloseProps & DataTrackingId;
export type PopoverButtonProps = CorePopoverButtonProps & DataTrackingId;
export declare function PopoverTrigger(props: PopoverTriggerProps): import("react/jsx-runtime").JSX.Element;
export declare const PopoverContent: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "popover"> & {
    scrollerRef?: import('react').RefObject<HTMLDivElement>;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const PopoverClose: import('react').ForwardRefExoticComponent<PopoverCloseProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const PopoverButton: import('react').ForwardRefExoticComponent<PopoverButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
export declare const Popover: ((props: PopoverProps) => import("react/jsx-runtime").JSX.Element) & {
    Trigger: typeof PopoverTrigger;
    Content: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "popover"> & {
        scrollerRef?: import('react').RefObject<HTMLDivElement>;
    } & import('react').RefAttributes<HTMLDivElement>>;
    Close: import('react').ForwardRefExoticComponent<PopoverCloseProps & import('react').RefAttributes<HTMLButtonElement>>;
    Button: import('react').ForwardRefExoticComponent<PopoverButtonProps & import('react').RefAttributes<HTMLButtonElement>>;
};
