import { SearchFieldProps as CoreSearchFieldProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type SearchFieldProps = CoreSearchFieldProps & DataTrackingId;
export declare const SearchField: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').InputHTMLAttributes<HTMLInputElement>, HTMLInputElement>, "ref">, "children" | "prefix" | "size" | "required"> & import('@servicetitan/hammer-react').LayoutUtilProps & {
    size?: Extract<import('@servicetitan/hammer-react').Size, "small" | "medium" | "large">;
    disabled?: boolean;
    onClear?: () => void;
} & DataTrackingId & import('react').RefAttributes<HTMLInputElement>>;
