import { SideNavProps as CoreSideNavProps, SideNavCollapsibleProps as CoreSideNavCollapsibleProps, SideNavGroupProps as CoreSideNavGroupProps, SideNavLinkProps as CoreSideNavLinkProps } from '@servicetitan/hammer-react';
export type SideNavProps = CoreSideNavProps;
export type SideNavCollapsibleProps = CoreSideNavCollapsibleProps;
export type SideNavGroupProps = CoreSideNavGroupProps;
export declare const SideNavCollapsible: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "ref">, "onClick"> & {
    label: string;
    onClick?: import('react').ComponentPropsWithoutRef<"button">["onClick"];
    onKeyDown?: import('react').ComponentPropsWithoutRef<"button">["onKeyDown"];
    defaultExpanded?: boolean;
    expanded?: boolean;
} & import('react').RefAttributes<HTMLLIElement>>;
export declare const SideNavGroup: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "ref"> & {
    label: string;
} & import('react').RefAttributes<HTMLLIElement>>;
type SideNavLinkWithRoutingProps = CoreSideNavLinkProps & {
    pathname: string;
    search?: string;
};
export declare const SideNavLink: import('react').ForwardRefExoticComponent<(CoreSideNavLinkProps | SideNavLinkWithRoutingProps) & import('react').RefAttributes<HTMLLIElement>>;
export declare const SideNav: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLElement>, HTMLElement>, "ref"> & import('@servicetitan/hammer-react').LayoutUtilProps & import('react').RefAttributes<HTMLDivElement>> & {
    Link: import('react').ForwardRefExoticComponent<(CoreSideNavLinkProps | SideNavLinkWithRoutingProps) & import('react').RefAttributes<HTMLLIElement>>;
    Collapsible: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "ref">, "onClick"> & {
        label: string;
        onClick?: import('react').ComponentPropsWithoutRef<"button">["onClick"];
        onKeyDown?: import('react').ComponentPropsWithoutRef<"button">["onKeyDown"];
        defaultExpanded?: boolean;
        expanded?: boolean;
    } & import('react').RefAttributes<HTMLLIElement>>;
    Group: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').LiHTMLAttributes<HTMLLIElement>, HTMLLIElement>, "ref"> & {
        label: string;
    } & import('react').RefAttributes<HTMLLIElement>>;
};
export {};
