import { TabProps as CoreTabProps, TabListProps as CoreTabListProps, TabButtonProps as CoreTabButtonProps, TabPanelProps as CoreTabPanelProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type TabProps = CoreTabProps;
export type TabListProps = CoreTabListProps;
export type TabButtonProps = CoreTabButtonProps & DataTrackingId;
export type TabPanelProps = CoreTabPanelProps;
export declare const TabButton: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref">, "onClick" | "disabled"> & {
    id: string;
    controls: string;
    onClick?: (e: import('react').MouseEvent<HTMLButtonElement>, index?: number) => void;
} & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
export declare const TabList: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
export declare const TabPanel: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "onDrag" | "onDragEnd" | "onDragStart" | "onAnimationStart"> & {
    id: string;
} & import('react').RefAttributes<HTMLDivElement>>;
export declare const Tab: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "onDrag" | "onDragEnd" | "onDragStart" | "onAnimationStart"> & import('@servicetitan/hammer-react').LayoutUtilProps & {
    defaultIndex: number;
    fill?: boolean;
} & import('react').RefAttributes<HTMLDivElement>> & {
    Button: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').ButtonHTMLAttributes<HTMLButtonElement>, HTMLButtonElement>, "ref">, "onClick" | "disabled"> & {
        id: string;
        controls: string;
        onClick?: (e: import('react').MouseEvent<HTMLButtonElement>, index?: number) => void;
    } & DataTrackingId & import('react').RefAttributes<HTMLButtonElement>>;
    List: import('react').ForwardRefExoticComponent<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
    Panel: import('react').ForwardRefExoticComponent<Omit<Omit<import('react').DetailedHTMLProps<import('react').HTMLAttributes<HTMLDivElement>, HTMLDivElement>, "ref">, "onDrag" | "onDragEnd" | "onDragStart" | "onAnimationStart"> & {
        id: string;
    } & import('react').RefAttributes<HTMLDivElement>>;
};
