import { TextFieldProps as CoreTextFieldProps } from '@servicetitan/hammer-react';
import { DistributiveOmit } from '../../types';
import { DataTrackingId } from '../../types/DataTrackingId';
export type TextFieldProps = DistributiveOmit<CoreTextFieldProps, "prefix"> & DataTrackingId & {
    prefix?: string;
};
export declare const TextField: import('react').ForwardRefExoticComponent<TextFieldProps & import('react').RefAttributes<HTMLInputElement>>;
