import { toastProps as coreToastProps } from '@servicetitan/hammer-react';
export type toastProps = coreToastProps;
export declare const toast: {
    (): void;
    info: (props: coreToastProps) => string;
    success: (props: coreToastProps) => string;
    warning: (props: coreToastProps) => string;
    danger: (props: coreToastProps) => string;
    update: (id: string, props: Omit<import('@servicetitan/hammer-react/dist/components/Toast/toast-methods').ToastUpdateProps, "id">) => void;
    dismiss: (id?: string) => void;
    promise: (promise: Promise<string>, toastConfig: {
        loading: coreToastProps;
        success: (data: string) => Omit<coreToastProps, "id">;
        error: (error: string) => Omit<coreToastProps, "id">;
    }) => Promise<string>;
};
