import { TooltipProps as CoreTooltipProps, TooltipTriggerProps as CoreTooltipTriggerProps, TooltipContentProps as CoreTooltipContentProps } from '@servicetitan/hammer-react';
import { DataTrackingId } from '../../types/DataTrackingId';
export type TooltipProps = CoreTooltipProps;
export type TooltipTriggerProps = CoreTooltipTriggerProps & DataTrackingId;
export type TooltipContentProps = CoreTooltipContentProps;
export declare const TooltipTrigger: import('react').ForwardRefExoticComponent<Omit<TooltipTriggerProps, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
export declare const TooltipContent: import('react').ForwardRefExoticComponent<CoreTooltipContentProps & import('react').RefAttributes<HTMLDivElement>>;
export declare const Tooltip: ((props: TooltipProps) => import("react/jsx-runtime").JSX.Element) & {
    Trigger: import('react').ForwardRefExoticComponent<Omit<TooltipTriggerProps, "ref"> & import('react').RefAttributes<HTMLDivElement>>;
    Content: import('react').ForwardRefExoticComponent<CoreTooltipContentProps & import('react').RefAttributes<HTMLDivElement>>;
};
